<?php

namespace App\Http\Controllers\Backend;

use App\Helpers\Helper\Helper;
use App\Http\Controllers\Controller;
use App\Models\Whitepaper;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use PHPUnit\TextUI\Help;

class WhitePaperController extends Controller
{

    public function index()
    {
        
    }

    public function store(Request $request)
    {

        
        
        $validated = $request->validate([
            'attachment' => 'required|mimes:pdf'
        ]);
        
        $paper = Whitepaper::latest()->first();
        

        if(!$paper){
           
            Whitepaper::create([
                'attachment' => Helper::saveImage($request->attachment, Helper::filePath('attachment')),
                'status' => $request->status
            ]);
            $msg = 'white paper created successfully';
            
        }else{
            Helper::removeFile(Helper::filePath('attachment').'/'.$paper->attachment);
            $paper->attachment = Helper::saveImage($request->attachment, Helper::filePath('attachment'));
            $paper->status = $request->status;
            $paper->save();
            $msg = 'white paper updated successfully';
        }

        return redirect()->back()->with('success',$msg);
   
    }

    public function edit($id)
    {
        $paper = Whitepaper::where('status',1)->first();
        if(!$paper){
            return back()->with('error','paper not actived');
        }

        $path = Helper::filePath('attachment').'/'.$paper->attachment;
      
        return response()->download($path);
       
    }

    public function status($id)
    {
        $paper = Whitepaper::findOrFail($id);

        if ($paper->status) {

            $paper->status = false;
        } else {

            $paper->status = true;
        }

        $paper->save();

        return response()->json(['success' => 'WhitePaper Status Change Successfully']);
    }

  
}
