<?php

namespace App\Http\Controllers;

use App\Helpers\Helper\Helper;
use App\Models\Message;
use App\Models\User;
use Illuminate\Http\Request;

class ChatController extends Controller
{
    
    function index(Request $request)
    {

        $data['title'] = 'Message';

        $messageIds = Message::pluck('sender_id')->toArray();

        $data['customers'] = User::where('id', '!=', auth()->id())->whereIn('sender_id', $messageIds)->latest()->get();

        if ($data['customers']->count() <= 0) {
            return redirect()->back()->with('error', 'No Message Found');
        }

        if ($request->ajax()) {

            $sender = Message::where('sender_id', auth()->id())->where('reciever_id', $request->customer)->pluck('id')->toArray();

            $receiver = Message::where('reciever_id', auth()->id())->where('sender_id', $request->customer)->pluck('id')->toArray();

            $ids = array_merge($sender,  $receiver);

            $data['allMessages'] = Message::whereIn('id', $ids)->orderBy('id', 'asc')->get();

            Message::whereIn('id', $ids)->orderBy('id', 'asc')->update(['read_at' => now()]);

            $data['customer'] = User::find($request->customer);

            return view(Helper::theme().'user.chat_ajax')->with($data);
        }

        return view(Helper::theme().'user.chat')->with($data);
    }
}
