<?php

namespace App\Http\Controllers;

use App\Helpers\Helper\Helper;
use App\Models\Admin;
use App\Models\Configuration;
use App\Models\IsoCurrency;
use App\Models\IsoStage;
use App\Models\IcoSetting;
use App\Models\Payment;
use App\Models\Template;
use App\Models\Transaction;
use App\Models\User;
use App\Models\UserToken;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;


class TokenContributeController extends Controller
{
    //
    public function contribute()
    {
        
        $data['title'] = "Contribute";
        $data['cripto'] = IsoCurrency::where('status',1)->where('currency_type','crypto')->latest()->get();
        $data['fiat'] = IsoCurrency::where('status',1)->where('currency_type','fiat')->latest()->get();
        $data['stage'] = IsoStage::where('status',1)->first();
        if(!$data['stage']){
            return abort(404);
        }
        return view(Helper::theme() . 'user.stage.contribute')->with($data);
    }

    public function convert(Request $request)
    {
        $stage = IsoStage::where('status',1)->first();
        
        $currency = IsoCurrency::find($request->currency);
        $tokenPrice = $stage->token_base_price * $request->token;
        $convertPrice = $currency->rate * $tokenPrice;
        $usdPrice =  $currency->rate * $tokenPrice / $currency->rate;
        
        $result['price'] = $convertPrice;
        $result['name'] = $currency->name;
        $result['usd_price'] = $usdPrice;
        return response()->json($result);
    }


    public function symbol(Request $request)
    {
        $currency = IsoCurrency::find($request->currency);
        return $currency;       
        $result['price'] = $currency->soft_cap;
        $result['name'] = $currency->name;

        return response()->json($result);
    }

    public function store(Request $request)
    {
       
       
     
        $validated = $request->validate([
            'plan_id' => 'required',
            'amount' => 'required',
            "ico_token" => 'required | integer'
        ]);

        //plan validation
        $plan = IsoStage::find($request->plan_id);
     
        
        if(!$plan){
            return redirect()->back()->with('error','You have not stage');
        }

        $remain_token = $plan->token_issues - $plan->used_token;

        if($plan->hard_cap < $request->ico_token){
            return redirect()->back()->with('error','your token hard cap exit');
        }

        if($plan->soft_cap > $request->ico_token){
            return redirect()->back()->with('error','your token soft cap exit');
        }


        if($remain_token < $request->ico_token){
            return redirect()->back()->with('error','stage has not enough token');
        }


        $data['transaction_id'] = Str::upper(Str::random(16));
        $data['gateway_id'] = null;
        $data['charge'] = 0;
        $data['rate'] = 1;
        $currency = IsoCurrency::find($request->currency_default_id);
        
           
        
        $data['amount'] = $request->amount;
        $data['final_amount'] = ($data['amount'] * $data['rate']) + $data['charge'];
        $data['plan_id'] = $request->plan_id;
        $data['transaction_id'] = Str::upper(Str::random(16));
        $data['user_id'] = Auth()->user()->id;
      

        if($request->hidden_payment_type == 'balance')
        {
            
            if($request->currency_default_id != icoSetting::first()->currency_id){
                return back()->with('error','select valid currency');
            }
            $balanceCheck = Auth()->user()->balance;

            //balance validation 
            if($request->amount > $balanceCheck){
                return redirect()->back()->with('error','You have not enough balance');
            }

            $data['payment_status'] = 1;
            $data['payment_type'] = 1;
            
            $payment = $this->makePayment($data);
            
            //user update 
             
             
            $user = User::find(auth()->user()->id);
            $user->balance = $user->balance - $request->amount;
            $user->ico_token = $user->ico_token + $request->ico_token + $plan->bonus;
            $user->save();

            UserToken::create([
                'user_id' => auth()->user()->id,
                'stage_id' => $data['plan_id'],
                'payment_id' => $payment->id,
                'tokens' => $request->ico_token + $plan->bonus
            ]);

            $plan->used_token = $plan->used_token + $request->ico_token + $plan->bonus;
            if($plan->token_issues == $plan->used_token){
                $plan->status = 0;
            }
            $plan->save();



            $this->makeTransaction($data);

            Helper::referMoney(auth()->id(), $payment->user->refferedBy, 'invest', $payment->amount);

            $admin = Admin::where('type', 'super')->first();

      


          
            $t_coin = $request->ico_token + $plan->bonus;
            $symbol = Helper::token()->token_symbol;
            $info['subject'] = 'payment completed';
            $info['email'] = $user->email;
            $info['message'] = "successfully you purchased {$t_coin} {$symbol}";
            Helper::commonMail($info);
            return redirect()->route('user.dashboard')->with('success','token purchase successfully');
        }

        if($request->hidden_payment_type == 'wallet')

        {

            session()->put('planId',$plan->id);
            session()->put('currency_id',$request->currency_default_id);
            session()->put('payment_amount',$request->amount);
            session()->put('total_token',$request->ico_token + $plan->bonus);
            return redirect()->route('user.gateways', $plan->id);
        }

    }


    private function makePayment($data)
    {
        
        $create =  Payment::create([
            'plan_id' => $data['plan_id'],
            'gateway_id' => $data['gateway_id'] ?? 0,
            'user_id' => $data['user_id'],
            'trx' => $data['transaction_id'],
            'amount' => $data['amount'],
            'rate' => $data['rate'],
            'charge' => $data['charge'],
            'total' => $data['final_amount'],
            'status' => $data['payment_status']
        ]);
       
        return Payment::where('trx',$data['transaction_id'])->first();

        
    }

    private function makeTransaction($data)
    {
        Transaction::create([
            'trx' => $data['transaction_id'],
            'user_id' => $data['user_id'],
            'amount' => $data['final_amount'],
            'charge' => $data['charge'],
            'details' => 'Payment for buy token',
            'type' => '-',
            'currency' => Helper::config()->currency,
            'convert_rate' => 1
        ]);
    }


}
