<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Auction extends Model
{
    use HasFactory;
    protected $fillable = ['code','auction_user_id','tokens','base_price','start_date','end_date','status','description'];

    function user()
    {
        return $this->belongsTo(User::class,'auction_user_id');
    }

    function remainToken()
    {
        return $this->tokens - $this->tokenTransection->sum('token');
    }
    
    function totalToken()
    {
        return $this->tokens + $this->tokenTransection->sum('token');
    }
    
    function tokenTransection()
    {
       return $this->hasMany(AuctionTransection::class);
    }

    function details()
    {
        return $this->hasMany(AuctionTransection::class,'auction_id');
    }
}
