<?php

namespace App\Models;

use App\Traits\Searchable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use HasFactory, Searchable,Notifiable;

    protected $casts = [
        'address' => 'object',
        'kyc_information' => 'array'
    ];

    public function auction()
    {
        return $this->belongsTo(Auction::class,'auction_user_id');
    }
    public function hasRunningAuction()
    {
        $auction = Auction::where('auction_user_id',$this->id)->where('status',1)->first();

        if($auction){
            return true;
        }else{
            return false;
        }
    }
    public function loginSecurity()
    {
        return $this->hasOne(LoginSecurity::class);
    }

    public function subscriptions()
    {
        return $this->hasMany(PlanSubscription::class);
    }

    public function currentplan()
    {
        return $this->subscriptions()->where('is_current',1);
    }
    
    public function payments()
    {
        return $this->hasMany(Payment::class,'user_id');
    }

    public function deposits()
    {
        return $this->hasMany(Deposit::class,'user_id');
    }

    public function withdraws()
    {
        return $this->hasMany(Withdraw::class,'user_id');
    }

    public function refferals()
    {
        return $this->hasMany(User::class,'ref_id' );
    }

    public function refferedBy()
    {
        return $this->belongsTo(User::class,'ref_id');
    }
    
    public function reffer()
    {
        return $this->hasMany(User::class,'ref_id');
    }

    public function interest()
    {
        return $this->hasMany(UserInterest::class,'user_id');
    }

    public function commissions()
    {
        return $this->hasMany(ReferralCommission::class,'commission_to');
    }

    public function tickets()
    {
        return $this->hasMany(Ticket::class,'user_id');
    }

    public function transactions()
    {
        return $this->hasMany(Transaction::class,'user_id');
    }

    public function views()
    {
        return $this->hasMany(ViewAdd::class,'user_id');
    }


    function receive(){
        return $this->hasMany(Message::class,'reciever_id');
    }

    function sendMessage(){
        return $this->hasMany(Message::class,'sender_id');
    }



}
