<?php

namespace App\Services;

use App\Helpers\Helper\Helper;
use App\Models\Configuration;
use App\Models\User;
use Illuminate\Auth\Events\Registered;
use Illuminate\Support\Facades\Auth;

class UserRegistration
{
    public function register($request)
    {
        $general = Configuration::first();

        $signupBonus = $general->signup_bonus;

        $referid = 0;
  
        if ($request->reffered_by) {
            $referUser = User::where('username', $request->reffered_by)->first();

            if (!$referUser) {
                return ['type' => 'error', 'message' => 'No User Found Assocciated with this reffer Name'];
            }

            $referid = $referUser->id;

        }


        $data = [
            'country' => $request->country
        ];

        event(new Registered($user = $this->create($request, $signupBonus, $referid, $data)));

        Auth::login($user);

        if ($request->reffered_by) {

            Helper::referMoney($user->id, $referUser, 'referral', 0);
        }


        return ['type' => 'success', 'message' => 'Successfully Registered'];
    }


    public function create($request, $signupBonus, $referid, $data)
    {

        return User::create([
            'balance' => $signupBonus,
            'username' => $request->username,
            'email' => $request->email,
            'address' => $data,
            'phone' => $request->phone,
            'status' => 1,
            'password' => bcrypt($request->password),
            'ref_id' => $referid ?? ''
        ]);
    }
}
