<?php

namespace App\Utility\Sections;
use App\Utility\Schema;

class Banner
{
    use Schema;

    public $has_element = false;
    public $has_content = true;

    public $image_upload_ids = ['image_one', 'image_two'];

    public $fields = [
        'title' => 'Text',
        'button_text' => 'Text',
        'button_link' => 'Text',
        'short_description' => 'Textarea',
        'image_one' => 'Upload',
        'image_two' => 'Upload',
    ];

    public $classes = [
        'image_one' => 'col-md-3',
        'image_two' => 'col-md-3',
        'title' => 'col-md-6',
        'button_text' => 'col-md-6',
        'button_link' => 'col-md-12',
        'short_description' => 'col-md-12'
    ];

    public $validation = [
        "image_one" => 'sometimes|image|mimes:jpg,jpeg,png|max:4096',
        "image_two" => 'sometimes|image|mimes:jpg,jpeg,png|max:4096',
        'title' => 'required',
        'short_description' => 'required',
        'button_text' => 'required',
        'button_link' => 'required',
    ];
}
