<?php

namespace App\Utility\Sections;

use App\Utility\Schema;

class Footer
{
    use Schema;

    public $has_element = true;

    public $has_content = true;

    public $image_upload_ids = ['address_icon','email_icon','background'];

    public $fields = [
        
        "phone" => "Text",
        "email" => "Text",
        "address" => "Text",
       
        "description" => "Textarea",
        "address_icon" => "Upload",
        "email_icon" => "Upload",
        "background" => "Upload"
     
    ];

    public $classes = [
        
        "phone" => "col-md-6 mb-3",
        "email" => "col-md-6 mb-3",
        
        "description" => "col-md-12 mb-3",
        "address" => "col-md-12",
        "address_icon" => "col-md-3",
        "email_icon" => "col-md-3",
        "background" => "col-md-3"
       
    ];

    public $validation = [
        "phone" => "required",
        "email" => "required",
        
        "description" => "required",
        "address" => "required",
        "address_icon" => "sometimes|image|mimes:jpg,jpeg,png|max:2000",
        "email_icon" => "sometimes|image|mimes:jpg,jpeg,png|max:2000",
        "background" => "sometimes|image|mimes:jpg,jpeg,png|max:2000"
    ];

    public $elementFields = [
        "title" => "Text",
        "socail_icon" => "Icon",
        "link" => "Text"
    ];

    public $elementClasses = [
        "title" => "col-md-6",
        "socail_icon" => "col-md-6",
        "link" => "col-md-6"
    ];

    public $elementValidation = [
        "title" => "required",
        "socail_icon" => "required",
        "link" => "required"
    ];

}
