<?php

namespace App\Utility\Sections;

use App\Utility\Schema;

class Testimonial
{
    use Schema;

    public $has_element = true;

    public $has_content = true;

    public $image_upload_ids = ['image_one','background'];

    public $fields = [
        "title" =>  "Text",
        "inner_title" => "Text",
        "description" => 'Textarea',
        "inner_description"=> 'Textarea',
        "image_one" => 'Upload',
        "background" => 'Upload'

    ];

    public $classes = [
        "title" =>  "col-md-6",
        "inner_title" => "col-md-6",
        "description" => 'col-md-12',
        "inner_description" => "col-md-12",
        "image_one" => 'col-md-3',
        "background" => 'col-md-3'
    ];

    public $validation = [
        "title" =>  "required",
        "inner_title" => 'required',
        "description" => 'required',
        "inner_description" => "required",
        "image_one" => 'sometimes|image|mimes:jpg,jpeg,png|max:4096',
        "background" => 'sometimes|image|mimes:jpg,jpeg,png|max:4096'
    ];

    public $elementFields = [
        "client_name" => "Text",
        "designation" => "Text",
        "description" => "Textarea",
        "image_one" => "Upload"
    ];

    public $elementClasses = [
        "client_name" => "col-md-6",
        "designation" => "col-md-6",
        "description" => "col-md-12",
        "image_one" => "col-md-3"
    ];

    public $elementValidation = [
        "client_name" => "required",
        "designation" => "required",
        "description" => "required",
        "image_one" => 'sometimes|image|mimes:jpg,jpeg,png|max:4096'
    ];
}
