<?php

namespace App\Utility\Sections;

use App\Utility\Schema;

class WhyChoose
{
    use Schema;

    public $has_element = true;
    public $has_content = true;

    public $image_upload_ids = ['image_one','image_two'];

    public $fields = [
        'title' => 'Text',
        'description' => 'Textarea',
        'image_one' => 'Upload',
        'image_two' => 'Upload'

    ];

    public $classes = [
        'title' => 'col-md-12',
        'description' => 'col-md-12',
        'image_one' => 'col-md-3',
        'image_two' => 'col-md-3'
    ];

    public $validation = [
        'title' => 'required',
        'description' => 'required',
        "image_one" => 'sometimes|image|mimes:jpg,jpeg,png|max:4096',
        "image_two" => 'sometimes|image|mimes:jpg,jpeg,png|max:4096'
    ];

    public $elementFields = [
        'title' => 'Text',
        'details' => 'Textarea',
        'image_one' => 'Upload',
    ];

    public $elementClasses = [
        'title' => 'col-md-12',
        'details' => 'col-md-12',
        'image_one' => 'col-md-6',
    ];

    public $elementValidation = [
        'title' => 'required',
        'details' => 'required',
        'image_one' => 'sometimes|image|mimes:jpg,jpeg,png|max:2000',
    ];
}
