

@extends('backend.layout.master')
@section('element')
    <div class="row">
        <div class="col-md-12 stretch-card">
            <div class="card">
                <div class="card-header justify-content-end">
                    <a href="{{ route('admin.ico-currency.index') }}" class="btn btn-outline-primary btn-sm"><i
                            class="fa fa-arrow-left mr-2"></i>{{ __('Back') }}</a>
                </div>
                <div class="card-body">
                    <form action="{{ route('admin.ico-currency.update',$currency->id) }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        @method('PUT')
                        <div class="row">
                            <div class="col-md-6 mb-3">
                                <label for="name">{{ __('Name') }}</label>
                                <input type="text" name="name" value="{{ $currency->name }}" id="name" class="form-control" required>
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="rate">{{ __('Exchange Rate') }}</label>
                                <input type="number" step="any" name="rate" id="rate" value="{{ $currency->rate }}" class="form-control" required>
                            </div>

                            <div class="col-md-6 mb-3">
                                <label for="">{{ __('Payment Gatway') }}</label>
                                <select name="gatway_id[]" class="js-example-tokenizer" multiple required>
                                    @foreach ($gatways as $gat)
                                        <option value="{{ $gat->id }}" {{ in_array($gat->id, $currency->gatway_id) ? 'selected' : '' }}>{{ $gat->name }}</option>
                                    @endforeach
                                </select>
                            </div>

                            <div class="col-md-6 mb-3">
                                <label for="currency_type">{{ __('Currency Type') }}</label>
                                <select name="currency_type" id="currency_type" class="form-control" required>
                                    <option value="crypto" {{ $currency->currency_type == 'crypto' ? 'selected' : '' }}>{{ __('Crypto') }}</option>
                                    <option value="fiat" {{ $currency->currency_type == 'fiat' ? 'selected' : '' }}>{{ __('fiat') }}</option>
                                </select>
                            </div>

                            <div class="col-md-6 mb-3">
                                <label for="status">{{ __('Status') }}</label>
                                <select name="status" id="status" class="form-control">
                                    <option value="1" {{ $currency->status == 1 ? 'selected' : '' }}>{{ __('Active') }}</option>
                                    <option value="0" {{ $currency->status == 0 ? 'selected' : '' }}>{{ __('Deactive') }}</option>
                                </select>
                            </div>

                            <div class="col-md-6 mb-3">
                                <label for="image">{{ __('Icon') }}</label>
                                <input type="file" name="update_image" id="update_image" class="form-control">
                                <input type="hidden" name="image" id="image" value="{{ $currency->image }}" class="form-control">
                            </div>


                            <div class="col-md-12 mb-3">
                                <button class="btn btn-success mt-4">{{ __('Update') }}</button>
                            </div>
                    
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection


@push('external-style')
    <link rel="stylesheet" href="{{ Config::cssLib('backend', 'select2.min.css') }}">
@endpush


@push('external-script')
    <script src="{{ Config::jsLib('backend', 'select2.min.js') }}"></script>
@endpush


@push('script')
    <script>
        'use strict'

        $(".js-example-tokenizer").select2({
                placeholder: "Select gatways",
                tags: true,
                tokenSeparators: [',', ' ']
        })
    </script>
@endpush








