@extends('backend.layout.master')
@section('element')
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header site-card-header justify-content-between">
                    <div class="card-header-left">
                        <form action="{{ url()->current() }}" method="get">
                            <div class="input-group">
                                <input type="text" name="search" class="form-control form-control-sm" placeholder="Currency name">
                                <button class="btn btn-sm btn-primary" type="submit"><i class="fa fa-search"></i></button>
                            </div>
                        </form>
                    </div>
                    <div class="card-header-right">
                        <a href="{{ route('admin.ico-currency.create') }}" class="btn btn-sm btn-primary"> <i class="fa fa-plus"></i>
                            {{ __('Create Currency') }}</a>
                    </div>
                </div>
                <div class="card-body p-0">
                    <div class="table-responsive">
                        <table class="table student-data-table m-t-20">
                            <thead>
                                <tr>
                                    <th>{{ __('SL') }}.</th>
                                    <th>{{ __('Icon') }}</th>
                                    <th>{{ __('Name') }}</th>
                                    <th>{{ __('Exchange Rate') }}</th>
                                    <th>{{ __('Type') }}</th>
                                    <th>{{ __('Status') }}</th>
                                    <th>{{ __('Action') }}</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse ($currencies as $item)
                                    <tr>
                                        <td>{{ $loop->iteration }}</td>
                                        <td><img src="{{ Config::getFile('currency',$item->image,true) }}" class="tr_image" alt=""></td>
                                        <td>{{ $item->name }}</td>
                                        <td>{{ $item->rate }}</td>
                                        <td>{{ strtoupper($item->currency_type) }}</td>
                                        <td>{{ $item->status()}}</td>
                                        <td>
                                            <a href="{{ route('admin.ico-currency.edit', $item->id) }}"
                                                class="btn btn-sm btn-outline-primary"><i
                                                    class="fa fa-edit"></i></a>
                                                    
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-center" colspan="100%">
                                            {{ __('No Currency Created Yet') }}</td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
                @if ($currencies->hasPages())
                    <div class="card-footer">
                        {{ $currencies->links() }}
                    </div>
                @endif
            </div>
        </div>
    </div>



    <div class="modal fade" tabindex="-1" role="dialog" id="deleteModal">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">{{ __('Delete Page') }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form method="POST">
                        @csrf

                        <p>{{ __('Are You Sure To Delete Pages') }}?</p>

                        <div class="d-flex justify-content-end">
                            <button type="button" class="btn btn-sm btn-secondary text-dark mr-3"
                                data-dismiss="modal">{{ __('Close') }}</button>
                            <button type="submit" class="btn btn-sm btn-danger">{{ __('Delete Page') }}</button>
                        </div>

                    </form>
                </div>

            </div>
        </div>
    </div>
    


@endsection



@push('script')

    <script>

        'use strict'

        $('.delete').on('click', function() {
            const modal = $('#deleteModal');

            modal.find('form').attr('action', $(this).data('url'));
            modal.modal('show')
        })


    </script>
@endpush
