@extends('backend.layout.master')
@section('element')

    <div class="row">
        <div class="col-12 col-md-12 col-lg-12">
            <div class="card mb-4">
                <div class="card-body">
                    @include('backend.logs.tab_list')
                </div>
            </div>

            <div class="card">

              

                <div class="card-body p-0">
                    <div class="table-responsive">
                        <table class="table student-data-table m-t-20">
                            <thead>
                                <tr>
                                    <th>{{ __('Code') }}</th>
                                    <th>{{ __('User') }}</th>
                                    <th>{{ __('Token') }}</th>
                                    <th>{{ __('Remain Token') }}</th>
                                    <th>{{ __('Base price') }}</th>
                                    <th>{{ __('Status') }}</th>
                                    <th>{{ __('Start') }}</th>
                                    <th>{{ __('End') }}</th>
                                    <th>{{ __('View') }}</th>
                                </tr>
                            </thead>
                            <tbody id="filter_data">
                                @forelse ($auctions as $key => $item)
                           
                                    <tr>
                                        <td>{{ $item->code }}</td>
                                        <td>{{ $item->user->username }}</td>
                                        <td>{{ $item->totalToken() }}</td>
                                        <td>{{ $item->tokens }}</td>
                                        <td>{{ Config::formatter($item->base_price) }}</td>
                                        <td><span class="badge text-light {{ $item->status ? 'bg-success' : 'bg-danger' }}">{{ $item->status ? 'actived' : 'deactived' }}</span></td>
                                        <td>{{ date('d/m/Y',strtotime($item->start_date)) }}</td>
                                        <td>{{ date('d/m/Y',strtotime($item->end_date)) }}</td>
                                        <td><a href="{{ route('admin.auction.log.details',$item->code) }}" class="btn btn-sm btn-info"><i class="fa fa-eye"></i></a></td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-center" colspan="100%">{{ __('No Data Found') }}
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
                @if ($auctions->hasPages())
                    <div class="card-footer">
                        {{ $auctions->links() }}
                    </div>
                @endif
            </div>
        </div>
    </div>

@endsection


