@extends('backend.layout.master')
@section('element')

    <div class="row">
        <div class="col-12 col-md-12 col-lg-12">
            <div class="card mb-4">
                <div class="card-body">
                    @include('backend.logs.tab_list')
                </div>
            </div>

            <div class="card">

              

                <div class="card-body p-0">
                    <div class="table-responsive">
                        <table class="table student-data-table m-t-20">
                            <thead>
                                <tr>
                                    <th>{{ __('Sl') }}</th>
                                    <th>{{ __('Date') }}</th>
                                    <th>{{ __('Stage') }}</th>
                                    <th>{{ __('User') }}</th>
                                    <th>{{ __('Token') }}</th>
                                    <th>{{ __('Amount') }}</th>
                                    
                                </tr>
                            </thead>
                            <tbody id="filter_data">
                                @forelse ($tokens as $key => $item)
                           
                                    <tr>
                                        <td>{{ $key+1 }}</td>
                                        <td>{{ date('d-m-Y',strtotime($item->created_at)) }}</td>
                                        <td>{{ $item->stage->stage_name }}</td>
                                        <td>{{ $item->user->username }}</td>
                                        <td>{{ $item->tokens }}</td>
                                        <td>{{ Config::formatter($item->payment->amount ?? 0) }}</td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-center" colspan="100%">{{ __('No Data Found') }}
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
                @if ($tokens->hasPages())
                    <div class="card-footer">
                        {{ $tokens->links() }}
                    </div>
                @endif
            </div>
        </div>
    </div>

@endsection


