
<form action="{{ route('admin.general.basic') }}" method="post" enctype="multipart/form-data">
    @csrf

    <input type="hidden" name="type" value="general">
    <div class="row">

        <div class="mb-4 col-xxl-3 col-lg-4 col-sm-6">
            <label >{{ __('Site Name') }}</label>
            <input type="text" name="sitename" class="form-control form_control" value="{{ Config::config()->appname }}">
        </div>

        <div class="mb-4 col-xxl-3 col-lg-4 col-sm-6">
            <label >{{ __('Site Currency') }}</label>
            <input type="text" name="site_currency" class="form-control" value="{{ Config::config()->currency ?? '' }}">
        </div>


        <div class="col-xxl-3 col-lg-4 col-sm-6">
            <label>{{ __('Decimal precision') }}</label>
            <div class="input-group">
                <input type="number" name="decimal_precision" class="form-control form_control"
                    value="{{ Config::config()->decimal_precision }}">
                <div class="input-group-append">
                    <span class="input-group-text bg-primary text-white" >{{ __('decimal precision') }}</span>
                </div>
            </div>
        </div>

        <div class="mb-4 col-xxl-3 col-lg-4 col-sm-6">
            <label >{{ __('Sign Up Bonus') }}</label>
            <input type="text" name="signup_bonus" class="form-control form_control"
                value="{{ Config::formatOnlyNumber(Config::config()->signup_bonus) }}">
        </div>

        <div class="col-xxl-3 col-lg-4 col-sm-6">
            <label>{{ __('Withdraw Limit') }}</label>
            <div class="input-group">
                <input type="number" name="withdraw_limit" class="form-control form_control"
                    value="{{ Config::config()->withdraw_limit }}">
                <div class="input-group-append">
                    <span class="input-group-text bg-primary text-white" >{{ __('Times per day') }}</span>
                </div>
            </div>
        </div>

        <div class="mb-4 col-xxl-3 col-lg-4 col-sm-6">
            <label >{{ __('Pagination Limit') }}</label>
            <input type="number" name="pagination_limit" class="form-control form_control"
                value="{{ Config::config()->pagination }}">
        </div>

        <div class="mb-4 col-xxl-3 col-lg-4 col-sm-6">
            <label >{{ __('Timezone') }}</label>
            <select name="timezone"  class="form-control">
                @foreach ($timezone as $zone)
                    <option value="{{$zone}}" {{env('APP_TIMEZONE') == $zone ? 'selected' : ''}}>{{$zone}}</option>
                @endforeach
            </select>
        </div>

        <div class="mb-4 col-xxl-3 col-lg-4 col-sm-6">
            <label >{{ __('Alert Type') }}</label>
            <select name="alert"  class="form-control">
                <option value="izi" {{Config::config()->alert === 'izi' ? 'selected' : ''}}>{{__('IziToast')}}</option>
                <option value="toast" {{Config::config()->alert === 'toast' ? 'selected' : ''}}>{{__('Toaster')}}</option>
                <option value="sweet" {{Config::config()->alert === 'sweet' ? 'selected' : ''}}>{{__('Sweetalert')}}</option>
            </select>
        </div>

    </div>

    

    <div class="row">
        <div class="mb-4 col-md-3 mb-3">
            <label class="col-form-label">{{ __('logo') }}</label>
            <div id="image-preview" class="image-preview"
                style="background-image:url({{ Config::getFile('logo', Config::config()->logo, true) }});">
                <label for="image-upload" id="image-label">{{ __('Choose File') }}</label>
                <input type="file" name="logo" id="image-upload" >
            </div>
        </div>

        <div class="mb-4 col-md-3 mb-3">
            <label class="col-form-label">{{ __('Icon') }}</label>
            <div id="image-preview-icon" class="image-preview"
                style="background-image:url({{ Config::getFile('icon', Config::config()->favicon, true) }});">
                <label for="image-upload-icon" id="image-label-icon">{{ __('Choose File') }}</label>
                <input type="file" name="icon" id="image-upload-icon" >
            </div>
        </div> 
        
        
        <div class="mb-4 col-md-3 mb-3">
            <label class="col-form-label">{{ __('Admin Login Image') }}</label>
            <div id="image-preview-login" class="image-preview"
                style="background-image:url({{ Config::getFile('admin_login', Config::config()->admin_login_image, true) }});">
                <label for="image-upload-login" id="image-label-login">{{ __('Choose File') }}</label>
                <input type="file" name="admin_login" id="image-upload-login" >
            </div>
        </div>

        <div class="mb-4 col-md-12 mt-4">
            <button type="submit" class="btn btn-primary">
                <i class="fas fa-sync-alt mr-2"></i>
                {{ __('Update General Settings') }}
            </button>
        </div>
    </div>

</form>
