@extends('backend.layout.master')
@section('element')

    <div class="row">
        <div class="col-md-12 stretch-card">
            <div class="card">
                <div class="card-header justify-content-end">
                    <a href="{{ route('admin.ico-stage.index') }}" class="btn btn-outline-primary btn-sm"><i
                            class="fa fa-arrow-left mr-2"></i>{{ __('List') }}</a>
                </div>
                <div class="card-body">
                    <form action="{{ route('admin.ico-stage.store') }}" method="POST">
                        @csrf 
                        <div class="row">
                            <div class="col-md-6 mb-3">
                                <label for="stage_name">{{ __('Stage Title') }}</label>
                                <input type="text" name="stage_name" id="stage_name" class="form-control" value="{{ old('stage_name') }}" required>
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="token_issues">{{ __('Total Token Issues') }}</label>
                                <input type="number" name="token_issues" id="token_issues" class="form-control" value="{{ old('token_issues') }}" required>
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="token_base_price">{{ __('Token Base Price') }}</label>
                                <input type="number" step="any" name="token_base_price" id="token_base_price" class="form-control" value="{{ old('token_base_price') }}" required>
                            </div>

                            <div class="col-md-6 mb-3">
                                <label for="bonus">{{ __('Bonus').' ( '.__('optional').' )' }} </label>
                                <input type="number" name="bonus" id="bonus" class="form-control" value="{{ old('bonus') }}" >
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="soft_cap">{{ __('Soft Cap') }}</label>
                                <input type="number" name="soft_cap" id="soft_cap" class="form-control" value="{{ old('soft_cap') }}">
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="hard_cap">{{ __('Hard Cap') }}</label>
                                <input type="number" name="hard_cap" id="hard_cap" class="form-control" value="{{ old('hard_cap') }}">
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="start_date">{{ __('Start Date') }}</label>
                                <input type="datetime-local" name="start_date" id="start_date" class="form-control" required>
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="end_date">{{ __('End Date') }}</label>
                                <input type="datetime-local" name="end_date" id="end_date" class="form-control" required>
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="status">{{ __('Status') }}</label>
                                <select name="status" id="status" class="form-control">
                                    <option value="1" selected>{{ __('Active') }}</option>
                                    <option value="0">{{ __('Deactive') }}</option>
                                </select>
                            </div>

                           
                            <div class="col-md-12 mb-3">
                                <button class="btn btn-success mt-4">{{ __('Create') }}</button>
                            </div>
                         
                    
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection







