@extends('backend.layout.master')
@section('element')
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header site-card-header justify-content-between">
                    <div class="card-header-left">
                        <form action="{{ url()->current() }}" method="get">
                            <div class="input-group">
                                <input type="text" name="search" class="form-control form-control-sm"
                                    placeholder="Plan Name">
                                <button class="btn btn-sm btn-primary" type="submit"><i class="fa fa-search"></i></button>
                            </div>
                        </form>
                    </div>
                    <div class="card-header-right">
                        <a href="{{ route('admin.ico-stage.create') }}" class="btn btn-sm btn-primary"> <i
                                class="fa fa-plus"></i>
                            {{ __('Create Stage') }}</a>
                    </div>
                </div>
                <div class="card-body p-0">
                    <div class="table-responsive">
                        <table class="table student-data-table m-t-20">
                            <thead>
                                <tr>
                                    <th>{{ __('SL') }}.</th>
                                    <th>{{ __('Stage') }}</th>
                                    <th>{{ __('Tokens') }}</th>
                                    <th>{{ __('Base Price') }}</th>
                                    <th>{{ __('Bonus') }}</th>
                                    <th>{{ __('Start Date') }}</th>
                                    <th>{{ __('End Date') }}</th>
                                    <th>{{ __('Status') }}</th>
                                    <th>{{ __('Action') }}</th>
                                </tr>
                            </thead>
                            <tbody>

                                @forelse ($stages as $item)
                                    <tr>
                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $item->stage_name }}</td>
                                        <td>{{ $item->token_issues }}</td>
                                        <td>{{ $item->token_base_price }}</td>
                                        <td>{{ $item->bonus ?? 'N/A' }}</td>
                                        <td>{{ $item->start_date }}</td>
                                        <td>{{ $item->end_date }}</td>
                                        <td>{{ $item->status() }}</td>
                                        <td>
                                            <a href="{{ route('admin.ico-stage.edit', $item->id) }}"
                                                class="btn btn-sm btn-outline-primary mr-2"><i class="fa fa-edit"></i></a>
                                            <button data-route="{{ route('admin.ico-stage.show', $item->id) }}"
                                                data-stage="{{ $item }}"
                                                class="btn btn-sm btn-outline-primary details"><i
                                                    class="fa fa-eye"></i></button>

                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-center" colspan="9">
                                            {{ __('No Currency Created Yet') }}
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
                @if ($stages->hasPages())
                    <div class="card-footer">
                        {{ $stages->links() }}
                    </div>
                @endif
            </div>
        </div>
    </div>


    <div class="modal fade" tabindex="-1" role="dialog" id="deleteModal">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">{{ __('Stage Details') }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body" id="append">

                </div>
            </div>
        </div>
    </div>
@endsection



@push('script')
    <script>
        'use strict'

        $('.details').on('click', function() {
            $.ajax({
                method: "GET",
                url: $(this).data('route'),
                success: function(response) {
                    const modal = $('#deleteModal');
                    modal.find('#append').html(response)
                    modal.modal('show')
                }
            })
        })
    </script>
@endpush
