<form action="{{ route('admin.white-paper.store') }}" method="post" enctype="multipart/form-data">
    @csrf
    <div class="row gy-4 align-items-end">
        <div class="col-md-6">
            <label>{{ __('Attachment') }}</label>
            <input type="file" name="attachment" accept="application/pdf" class="form-control" id="attachment" required>
        </div>
        <div class="col-md-4">
            <label>{{ __('Status') }}</label>
            <select name="status" id="status" class="form-control">
                <option value="1" selected>{{ __('Actived') }}</option>
                <option value="0">{{ __('Deactived') }}</option>
            </select>
        </div>
        <div class="col-md-2">
            @if(!$attachments)
                <button class="btn btn-success w-100 mt-4">{{ __('Create') }}</button>
            @else 
                <button class="btn btn-success w-100 mt-4">{{ __('Update') }}</button>
            @endif 
        </div>
    </div>
</form>


<div class="table-responsive mt-4">
    <table class="table student-data-table">
        <thead>
            <tr>
                <th>{{ __('SL') }}.</th>
                <th>{{ __('Status') }}</th>
                <th>{{ __('Date') }}</th>
                <th>{{ __('Change status') }}</th>
                <th>{{ __('Download') }}</th>
            </tr>
        </thead>
        <tbody>

            @forelse ($attachments as $item)
                <tr>
                    <td>{{ $loop->iteration }}</td>
                    <td>{{ $item->status() }}</td>
                    <td>{{ date('d M Y', strtotime($item->created_at)) }}</td>
                    <td>


                        <div class="custom-control custom-switch">
                            <input type="checkbox" name="status" {{ $item->status ? 'checked' : '' }}
                                class="custom-control-input paper_status    " id="status{{ $item->id }}"
                                data-id="{{ $item->id }}"
                                data-route="{{ route('admin.white-paper.status', $item) }}">
                            <label class="custom-control-label" for="status{{ $item->id }}"></label>
                        </div>


                    </td>
                    <td>
                        <a href="{{ route('admin.white-paper.edit', $item->id) }}" class="btn btn-success ">
                            {{ __('Download Paper') }}
                        </a>
                    </td>
                </tr>
            @empty
                <tr>
                    <td class="text-center" colspan="100%">
                        {{ __('No Currency Created Yet') }}</td>
                </tr>
            @endforelse
        </tbody>
    </table>
</div>
