@extends('backend.layout.master')
@section('element')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <ul class="nav nav-tabs page-link-list border-bottom-0" role="tablist">
                        <li>
                            <a class="active" data-toggle="tab" href="#general">
                                <i class="las la-home"></i>
                                {{ __('Setting') }}
                            </a>
                        </li>
                        <li>
                            <a data-toggle="tab" href="#auction">
                                <i class="las la-cloud"></i>
                                {{ __('Auction') }}
                            </a>
                        </li>
                        <li>
                            <a data-toggle="tab" href="#paper">
                                <i class="las la-user-shield"></i>
                                {{ __('White Paper') }}
                            </a>
                        </li>
                    </ul>

                </div>
            </div>

            <div class="tab-content tabcontent-border">
                <div class="tab-pane fade show active" id="general" role="tabpanel">
                    <div class="card">
                        <div class="card-body">
                            @include('backend.stage.stage_setting')
                        </div>
                    </div>
                </div>
                <div class="tab-pane fade show " id="auction" role="tabpanel">
                    <div class="card">
                        <div class="card-body">
                            @include('backend.stage.auction_setting')
                        </div>
                    </div>
                </div>
                <div class="tab-pane fade show " id="paper" role="tabpanel">
                    <div class="card">
                        <div class="card-body">
                            @include('backend.stage.paper_setting')
                        </div>
                    </div>
                </div>


            </div>
        </div>





    </div>
@endsection

@push('script')
    <script>
        $(function() {
            'use strict'

            $('.paper_status').on('change', function() {

                let id = $(this).data('id');
                let route = $(this).data('route');

                $.ajax({

                    url: route,
                    method: "POST",
                    data: {
                        _token: "{{ csrf_token() }}"
                    },
                    success: function(response) {
                        location.reload();
                        @include('backend.layout.ajax_alert', [
                            'message' => 'Successfully change status',
                            'message_error' => '',
                        ])
                        
                    }

                })
            })
        })
    </script>
@endpush