<form action="{{ route('admin.ico-setting.store') }}" method="post">
    @csrf
    <div class="row gy-4 align-items-end">
        <div class="col-md-3">
            <label>{{ __('Token Name') }}</label>
            <input type="text" name="token_name" class="form-control"
                value="{{ $setting->token_name ?? null }}" id="token_name" required>
        </div>

        <div class="col-md-3">
            <label>{{ __('Symbol') }}</label>
            <input type="text" name="token_symbol" class="form-control" id="symbol"
                value="{{ $setting->token_symbol ?? null }}" required>
        </div>
        <div class="col-md-3">
            <label for="currency_id">{{ __('Select Currency') }}</label>
            @if ($setting)
                <select name="currency_id" id="currency_id" class="form-control" required>
                    <option value="">{{ __('Select currency') }}</option>
                    @foreach ($currencies as $item)
                        <option value="{{ $item->id }}" {{ $item->id == $setting->currency_id ? 'selected' : '' }}> {{ $item->name }} </option>
                    @endforeach
                </select>
            @else
                <select name="currency_id" id="currency_id" class="form-control" required>
                    <option value="">{{ __('Select currency') }}</option>
                    @foreach ($currencies as $item)
                        <option value="{{ $item->id }}">{{ $item->name }}</option>
                    @endforeach
                </select>
            @endif
        </div>
        <div class="col-md-3">
            <button class="btn btn-success w-100 mt-4">{{ __('Save') }}</button>
        </div>
    </div>
</form>