@extends('backend.layout.master')
@section('element')

    <div class="row">

        <div class="col-12 col-md-12 col-lg-12">
            <div class="card">

                <div class="card-body text-center">
                    <ul class="list-group">

                        @if ($user->kyc_information != null)
                            @foreach ($user->kyc_information as $key => $proof)
                                @if (is_array($proof))
                                    <li class="list-group-item d-flex justify-content-between">

                                        <span>{{ __(str_replace('_', ' ', ucwords($key))) }}</span>
                                        <span class="text-right"><img src="{{ Config::getFile('user', $proof['file']) }}"
                                                alt="" class="w-50 "></span>

                                    </li>

                                    @continue
                                @endif

                                <li class="list-group-item d-flex justify-content-between">

                                    <span>{{ __(str_replace('_', ' ', ucwords($key))) }}</span>
                                    <span>{{ __($proof) }}</span>

                                </li>
                            @endforeach
                        @endif

                    </ul>


                    @if ($user->is_kyc_verified == 2)
                        <div class="col-md-12 mt-4 text-right">

                            <button class="btn btn-success approve"
                                data-url="{{ route('admin.user.kyc.status', ['approve', $user->id]) }}">
                                <i class="fa fa-check"></i>
                                {{ __('Approve') }}
                            </button>


                            <button class="btn btn-danger reject"
                                data-url="{{ route('admin.user.kyc.status', ['reject', $user->id]) }}">
                                <i class="fa fa-times"></i>
                                {{ __('Reject') }}
                            </button>
                        </div>
                    @endif






                </div>
            </div>
        </div>
    </div>


    <div class="modal fade" id="approve" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <form action="" method="post">
                @csrf
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">{{ __('KYC Request Update') }}</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p>{{ __('Are You Sure to Approve') }}</p>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">{{ __('Approve') }}</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">{{__('Close')}}</button>
                    </div>
                </div>
            </form>
        </div>
    </div>

    <div class="modal fade" id="reject" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <form action="" method="post">
                @csrf
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">{{ __('KYC Request Update') }}</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p>{{ __('Are You Sure to Reject') }}</p>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">{{ __('Reject') }}</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">{{__('Close')}}</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection

@push('script')
    <script>
        'use strict'
        
        $(function() {
            
            $('.approve').on('click', function() {
                const modal = $('#approve')


                modal.find('form').attr('action', $(this).data('url'))


                modal.modal('show')
            })


            $('.reject').on('click', function() {
                const modal = $('#reject')


                modal.find('form').attr('action', $(this).data('url'))


                modal.modal('show')
            })
        })
    </script>
@endpush
