@extends(Config::theme() . 'layout.master')
@section('content')
    <div class="error_page_section">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-xl-6 col-lg-8 col-md-10 text-center">
                    <div class="error_content">
                        <h2 class="error_main_text">
                            <span class="one">
                                <span>4</span>
                            </span>
                            <span class="two">
                                <span>0</span>
                            </span>
                            <span class="three">
                                <span>3</span>
                            </span>
                        </h2>
                        <h4 class="mt-4">{{ __('Page Not Found') }}</h4>
                        <a href="{{ route('home') }}" class="btn grad-btn mt-3">{{ __('Back to Home') }}</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('style')
    <style>
        .page-banner {
            display: none;
        }

        .error_page_section {
            padding-top: 250px;
            padding-bottom: 120px;
        }

        .error_main_text {
            font-size: 180px;
            font-weight: 700;
            line-height: 1;
        }

        .error_main_text span span {
            background-image: linear-gradient(88deg, #b21ffd 0%, #67e3ff 100%);
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
            font-family: "Poppins", sans-serif;
        }

        .error_main_text .one {
            transform: translateX(35px) translateY(25px) rotate(-45deg);
            transition: all 0.3s;
        }

        .error_main_text .three {
            transform: translateX(-35px) translateY(2px) rotate(32deg);
            transition: all 0.3s;
        }

        .error_content:hover .error_main_text .one,
        .error_content:hover .error_main_text .three {
            transform: translateX(0) translateY(0) rotate(0);
        }
    </style>
@endpush
