@extends(Config::theme().'auth.master')
@section('content')
@php
$auth = Config::builder('auth');
@endphp
<div class="account-page">
    <div class="form-wrapper">
        <div class="logo text-center">
            <a href="{{ route('home') }}" class="site-logo"><img src="{{ Config::getFile('logo',Config::config()->logo,true) }}" alt="image"></a>
        </div>
        <div class="inner-wrapper">
            <h3 class="title">{{ __('Email Verification') }}</h3>
    
            <form class="account-form mt-4" action="{{ route('user.forgot.password') }}" method="POST">
                @csrf
                <label>{{ __('User email') }}</label>
                <div class="custom-icon-field mb-3">
                    <input type="email" name="email" class="form-control" placeholder="Email Address">
                    <i class="las la-envelope"></i>
                </div>


                @if (Config::config()->allow_recaptcha == 1)
                <div class="col-md-12 my-3">
                    <script src="https://www.google.com/recaptcha/api.js"></script>
                    <div class="g-recaptcha" data-sitekey="{{ Config::config()->recaptcha_key }}" data-callback="verifyCaptcha">
                    </div>
                    <div id="g-recaptcha-error"></div>
                </div>
                @endif

                <div class="d-flex flex-wrap align-items-center mt-4">
                    <button type="submit" class="btn grad-btn">{{ __('Send Verification Code') }}</button>
                    <span class="px-3">{{ __('or') }}</span>
                    <a href="{{ route('user.login') }}" class="site-color">{{ __('Login Again') }}</a>
                </div>
            </form>
        </div>
        <div class="copy-right-text">
            <p>{{ Config::builder('footer')->content->copy_right }}</p>
        </div>
    </div>
    <div class="img-wrapper">
        <img src="{{ Config::getFile('auth',$auth->content->image) }}" class="account-img" alt="image">
        <img src="{{ Config::getFile('auth',$auth->content->background) }}" class="account-line-bg" alt="image">
    </div>
</div>
@endsection


@push('script')
<script>
    "use strict";

    function submitUserForm() {
        var response = grecaptcha.getResponse();
        if (response.length == 0) {
            document.getElementById('g-recaptcha-error').innerHTML =
                "<span class='sp_text_danger'>{{ __('Captcha field is required.') }}</span>";
            return false;
        }
        return true;
    }

    function verifyCaptcha() {
        document.getElementById('g-recaptcha-error').innerHTML = '';
    }
</script>
@endpush