@extends(Config::theme().'auth.master')
@section('content')
@php
$auth = Config::builder('auth');
@endphp
<div class="account-page">
    <div class="form-wrapper">
        <div class="logo text-center">
            <a href="{{ route('home') }}" class="site-logo"><img src="{{ Config::getFile('logo',Config::config()->logo,true) }}" alt="image"></a>
        </div>
        <div class="inner-wrapper">
            <h3 class="title">{{ __('Verify Your Account') }}</h3>


            @if (Config::config()->is_email_verification_on && !auth()->user()->is_email_verified)
            <form class="account-form mt-4" action="{{ route('user.authentication.verify.email') }}" method="POST">
                @csrf
                <div class="custom-icon-field mb-3">
                    <input type="text" name="code" class="form-control" placeholder="{{ __('Enter Verification Code') }}">
                    <i class="las la-envelope"></i>
                </div>

                @if (Config::config()->allow_recaptcha)
                <div class="mb-3">
                    <script src="https://www.google.com/recaptcha/api.js"></script>
                    <div class="g-recaptcha" data-sitekey="{{ Config::config()->recaptcha_key }}" data-callback="verifyCaptcha">
                    </div>
                    <div id="g-recaptcha-error"></div>
                </div>
                @endif
                <button class="btn main-btn w-100" type="submit"> {{ __('Verify Now') }} </button>
            </form>
            @elseif(Config::config()->is_sms_verification_on && !auth()->user()->is_sms_verified)
            <form class="account-form mt-4" method="POST" action="{{ route('user.authentication.verify.sms') }}">
                @csrf
                <div class="mb-3">
                    <label for="exampleInputEmail1" class="form-label">{{ __('Sms Verify Code') }}</label>
                    <input type="text" name="code" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
                </div>

                @if (Config::config()->allow_recaptcha)
                <div class="mb-3">
                    <script src="https://www.google.com/recaptcha/api.js"></script>
                    <div class="g-recaptcha" data-sitekey="{{ Config::config()->recaptcha_key }}" data-callback="verifyCaptcha">
                    </div>
                    <div id="g-recaptcha-error"></div>
                </div>
                @endif
                <button type="submit" class="btn grad-btn w-100">{{ __('Verify Now') }}</button>
            </form>
            @endif
        </div>
        <div class="copy-right-text">
            <p>{{ Config::builder('footer')->content->copy_right }}</p>
        </div>
    </div>
    <div class="img-wrapper">
        <img src="{{ Config::getFile('auth',$auth->content->image) }}" class="account-img" alt="image">
        <img src="{{ Config::getFile('auth',$auth->content->background) }}" class="account-line-bg" alt="image">
    </div>
</div>
@endsection

@push('script')
<script>
    "use strict";

    function submitUserForm() {
        var response = grecaptcha.getResponse();
        if (response.length == 0) {
            document.getElementById('g-recaptcha-error').innerHTML =
                "<span class='sp_text_danger'>{{ __('Captcha field is required.') }}</span>";
            return false;
        }
        return true;
    }

    function verifyCaptcha() {
        document.getElementById('g-recaptcha-error').innerHTML = '';
    }
</script>
@endpush