@extends(Config::theme().'auth.master')
@section('content')
@php 
    $auth = Config::builder('auth');
@endphp
    <div class="account-page"> 
        <div class="form-wrapper">
            <div class="logo text-center">
                <a href="{{ route('home') }}" class="site-logo"><img src="{{ Config::getFile('logo',Config::config()->logo,true) }}" alt="image"></a>
            </div>
            <div class="inner-wrapper">
                <h3 class="title">{{ $auth->content->title }}</h3>
    
                <form class="account-form mt-4" action="{{ route('user.login') }}" method="post">
                    @csrf 
    
                    <label>{{ __('User email') }}</label>
                    <div class="custom-icon-field mb-3">
                        <input type="email" name="email" class="form-control" value="{{ old('email') }}" placeholder="User email">
                        <i class="las la-envelope"></i>
                    </div>
                    <label>{{ __('User password') }}</label>
                    <div class="custom-icon-field mb-3">
                        <input type="password" name="password"  class="form-control" placeholder="Password">
                        <i class="las la-lock"></i>
                    </div>
                    @if (Config::config()->allow_recaptcha == 1)
                    <div class="col-md-12 my-3">
                        <script src="https://www.google.com/recaptcha/api.js"></script>
                        <div class="g-recaptcha" data-sitekey="{{ Config::config()->recaptcha_key }}" data-callback="verifyCaptcha">
                        </div>
                        <div id="g-recaptcha-error"></div>
                    </div>
                    @endif
                    <div class="d-flex flex-wrap justify-content-between">
                        <div class="form-check site-checkbox mb-2">
                          <input class="form-check-input" type="checkbox" value="" id="flexCheckDefault">
                          <label class="form-check-label mb-0" for="flexCheckDefault">
                            {{ __('Remember Me') }}
                          </label>
                        </div>
                        <a href="{{ route('user.forgot.password') }}" class="mb-2 site-color">{{ __('Forget Password') }}</a>
                    </div>
                    <div class="d-flex flex-wrap align-items-center mt-4">
                        <button type="submit" class="btn grad-btn">{{ __('Login') }}</button>
                        <span class="px-3">{{ __('or') }}</span>
                        <a href="{{ route('user.register') }}" class="site-color">{{ __('Sign Up') }}</a>
                    </div>
                </form>
                @if (Config::config()->allow_facebook || Config::config()->allow_google)
                    <div class="or-text text-center">
                        <span>{{ __('Or Login With') }}</span>
                    </div>
                 @endif
                <div class="other-login-btns">
                    @if (Config::config()->allow_facebook)
                        <a class="other-login-btn login-btn-facebook" href="{{ route('user.facebook.login') }}" id="btn-fblogin">
                            <i class="fab fa-facebook-f"></i>
                            <span>{{ __('Login with Facebook') }}</span>
                        </a>
                    @endif
        
                    @if (Config::config()->allow_google)
                        <a class="other-login-btn login-btn-google" href="{{ route('user.google.login') }}" id="btn-fblogin">
                            <i class="fab fa-google"></i>
                            <span>{{ __('Login with Google') }}</span>
                        </a>
                    @endif
                </div>
            </div>


        <div class="copy-right-text">
            <p>{{ Config::builder('footer')->content->copy_right }}</p>
          </div>
        </div>
        <div class="img-wrapper">
          <img src="{{ Config::getFile('auth',$auth->content->image) }}" class="account-img" alt="image">
          <img src="{{ Config::getFile('auth',$auth->content->background) }}" class="account-line-bg" alt="image">
        </div>
    </div>
@endsection
   