<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="description" content="{{ $page->seo_description ?? Config::config()->seo_description }}" />
    <meta name="keywords" content="{{ implode(',', $page->seo_keywords ?? Config::config()->seo_tags) }} ">
    <title>{{ Config::config()->appname }}</title>
    <link rel="stylesheet" href="{{ optional(Config::config()->fonts)->heading_font_url }}">
    <link rel="stylesheet" href="{{ optional(Config::config()->fonts)->paragraph_font_url }}">
    <link rel="shortcut icon" type="image/png" href="{{ Config::getFile('icon', Config::config()->favicon, true) }}">
    <link rel="stylesheet" href="{{ Config::cssLib('frontend','lib/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ Config::cssLib('frontend','all.min.css') }}"> 
    <link rel="stylesheet" href="{{ Config::cssLib('frontend','line-awesome.min.css') }}"> 
    <link rel="stylesheet" href="{{ Config::cssLib('frontend','lib/odometer.css') }}">
    <link rel="stylesheet" href="{{ Config::cssLib('frontend','lib/dots.css') }}"> 
    <link rel="stylesheet" href="{{ Config::cssLib('frontend','lib/glightbox.min.css') }}"> 
    <link rel="stylesheet" href="{{ Config::cssLib('frontend','lib/nice-select.css') }}">
    <link rel="stylesheet" href="{{ Config::cssLib('frontend','main.css') }}">

    @if (Config::config()->alert === 'izi')
        <link rel="stylesheet" href="{{ Config::cssLib('frontend', 'izitoast.min.css') }}">
    @elseif(Config::config()->alert === 'toast')
        <link href="{{ Config::cssLib('frontend', 'toastr.min.css') }}" rel="stylesheet">
    @else
        <link href="{{ Config::cssLib('frontend', 'sweetalert.min.css') }}" rel="stylesheet">
    @endif

    @stack('style')
</head>
<body>
    <div class="preloader-holder">
        <div class="preloader"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>
        </div>
    </div>
    @yield('content')
    <script src="{{ Config::jsLib('frontend','lib/jquery-3.6.0.min.js') }}"></script>
    <script src="{{ Config::jsLib('frontend','lib/bootstrap.bundle.min.js') }}"></script>
    <script src="{{ Config::jsLib('frontend', 'lib/slick.min.js') }}"></script>
    <script src="{{ Config::jsLib('frontend','lib/wow.min.js') }}"></script>
    <script src="{{ Config::jsLib('frontend', 'lib/glightbox.min.js') }}"></script>

    @if (Config::config()->alert === 'izi')
        <script src="{{ Config::jsLib('frontend', 'izitoast.min.js') }}"></script>
    @elseif(Config::config()->alert === 'toast')
        <script src="{{ Config::jsLib('frontend', 'toastr.min.js') }}"></script>
    @else
        <script src="{{ Config::jsLib('frontend', 'sweetalert.min.js') }}"></script>
    @endif


    <script src="{{ Config::jsLib('frontend','app.js') }}"></script>
      @stack('script')

@include('alert')

    </body>
  </html>