@extends(Config::theme().'auth.master')
@section('content')
@php  
  $auth = Config::builder('auth');
@endphp
<div class="account-page registration-page">
<div class="form-wrapper">
      <div class="logo text-center">
        <a href="{{ route('home') }}" class="site-logo"><img src="{{ Config::getFile('logo',Config::config()->logo,true) }}" alt="image"></a>
      </div>
      <div class="inner-wrapper">
        <h3 class="title">{{ Config::builder('auth')->content->title }}</h3>

        <form class="account-form mt-4" action="{{ route('user.register') }}" method="post">
            @csrf 

            @if (isset(request()->reffer))
            <div class="col-md-12">
                <label>{{ __('Reffered By') }}</label>
                <div class="custom-icon-field mb-3">
                    <input type="text" class="form-control " value="{{ request()->reffer }}" name="reffered_by" placeholder="{{ __('Reffered By') }}" readonly>
                    <i class="las la-envelope"></i>
                </div>
            </div>
            @endif
          <div class="row">
            
            <div class="col-sm-6">
              <label>{{ __('Username') }}</label>
              <div class="custom-icon-field mb-3">
                <input type="text" name="username" required class="form-control" placeholder="User name">
                <i class="las la-user"></i>
              </div>
            </div>
            <div class="col-sm-6">
              <label>{{ __('Phone') }}</label>
              <div class="custom-icon-field mb-3">
                <input type="tel" name="phone" class="form-control" required placeholder="Phone number">
                <i class="las la-phone"></i>
              </div>
            </div>
            <div class="col-lg-6">
              <label>{{ __('Email') }}</label>
              <div class="custom-icon-field mb-3">
                <input type="email" name="email" required class="form-control" placeholder="Email address">
                <i class="las la-envelope"></i>
              </div>
            </div>

            <div class="col-lg-6">
                <label for="email">{{ __('Country') }}</label>
                <select name="country" class="select">
                    @foreach ($countries as $key => $item)
                        <option value="{{$key}}">{{$item}}</option>
                    @endforeach
                </select>
            </div>
            <div class="col-sm-6">
              <label>{{ __('Password') }}</label>
              <div class="custom-icon-field mb-3">
                <input type="password" name="password" required class="form-control" placeholder="Password">
                <i class="las la-lock"></i>
              </div>
            </div>
            <div class="col-sm-6">
              <label>{{ __('Confirm password') }}</label>
              <div class="custom-icon-field mb-3">
                <input type="password" name="password_confirmation" required class="form-control" placeholder="Confirm password">
                <i class="las la-lock"></i>
              </div>
            </div>
            
             @if (Config::config()->allow_recaptcha == 1)
                <div class="col-md-12 my-3">
                    <script src="https://www.google.com/recaptcha/api.js"></script>
                    <div class="g-recaptcha" data-sitekey="{{ Config::config()->recaptcha_key }}" data-callback="verifyCaptcha">
                    </div>
                    <div id="g-recaptcha-error"></div>
                </div>
            @endif
            
          </div>
          <div class="d-flex flex-wrap align-items-center mt-4">
            <button type="submit" class="btn grad-btn">{{ __('Sign Up') }}</button>
            <span class="px-3">{{ __('or') }}</span>
            <a href="{{ route('user.login') }}" class="site-color">{{ __('Login') }}</a>
          </div>
        </form>
      </div>

      <div class="copy-right-text">
        <p>{{ Config::builder('footer')->content->copy_right }}</p>
      </div>
    </div>
    <div class="img-wrapper">
    <img src="{{ Config::getFile('auth',$auth->content->image) }}" class="account-img" alt="image">
      <img src="{{ Config::getFile('auth',$auth->content->background) }}" class="account-line-bg" alt="image">
    </div>
</div>

@endsection