@extends(Config::theme() . 'layout.master')
@section('content')
    <main class="main-wrapper">

        <section class="sp_pt_120 sp_pb_120">
            <div class="container">
                <div class="row gy-4">
                    <div class="col-lg-8">
                        <div class="blog-details-img">
                            <img src="{{ Config::getFile('blog', $blog->content->image_one, true) }}" alt="image">
                        </div>
                        <div class="blog-details-content">
                            <ul class="d-flex flex-wrap align-items-center gap-3 mb-4 mt-3">
                                <li><i class="far fa-user-circle me-1"></i> {{ __('by Admin') }}</li>

                                <li><i class="far fa-clock me-1"></i>{{ date(' d M Y', strtotime($blog->created_at)) }}</li>
                            </ul>
                            <h3 class="title">{{ Config::trans($blog->content->blog_title) }}</h3>
                            <p class="mt-3">{{ Config::trans($blog->content->short_description) }}</p>
                            <p class="mt-3">@php echo clean($blog->content->description,'youtube'); @endphp</p>
                        </div>
                    </div>

                    <div class="col-lg-4 ps-lg-4">
                        <div class="blog-widget">
                            <h4 class="blog-widget-title">{{ __('Recent Blog Posts') }}</h4>
                            <div class="short-post-wrapper">
                                @foreach ($recentblog as $item)
                                    <div class="short-post">
                                        <div class="thumb">
                                            <img src="{{ Config::getFile('blog', $item->content->image_one) }}"
                                                alt="image">
                                        </div>
                                        <div class="content">
                                            <h5 class="title"><a href="{{ route('blog.details', ['id' => $item->id, 'slug' => Str::slug($item->content->blog_title)]) }}">{{ Config::trans($item->content->short_description) }}</a>
                                            </h5>
                                            <ul class="blog-meta mt-1">
                                                <li class="fs-14px"><i class="far fa-clock"></i> {{ date('d M, Y', strtotime($item->created_at)) }}</li>
                                            </ul>
                                        </div>
                                    </div>
                                @endforeach
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>
@endsection