<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <meta name="description" content="{{ $page->seo_description ?? Config::config()->seo_description }}" />
    <meta name="keywords" content="{{ implode(',', $page->seo_keywords ?? Config::config()->seo_tags) }} ">

    <title>{{ Config::config()->appname }}</title>

    <link rel="stylesheet" href="{{ optional(Config::config()->fonts)->heading_font_url }}">
    <link rel="stylesheet" href="{{ optional(Config::config()->fonts)->paragraph_font_url }}">

    <link rel="shortcut icon" type="image/png" href="{{ Config::getFile('icon', Config::config()->favicon, true) }}">

    <link rel="icon" type="image/png" href="{{ Config::getFile('icon', Config::config()->favicon, true) }}"
        sizes="16x16">

    <link rel="stylesheet" href="{{ Config::cssLib('frontend', 'lib/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ Config::cssLib('frontend', 'all.min.css') }}">
    <link rel="stylesheet" href="{{ Config::cssLib('frontend', 'line-awesome.min.css') }}">
    <link rel="stylesheet" href="{{ Config::cssLib('frontend', 'lib/slick.css') }}">
    <link rel="stylesheet" href="{{ Config::cssLib('frontend', 'lib/odometer.css') }}">
    <link rel="stylesheet" href="{{ Config::cssLib('frontend', 'lib/dots.css') }}">
    <link rel="stylesheet" href="{{ Config::cssLib('frontend', 'lib/glightbox.min.css') }}">

    <link rel="stylesheet" href="{{ Config::cssLib('frontend', 'main.css') }}">

    @if (Config::config()->alert === 'izi')
        <link rel="stylesheet" href="{{ Config::cssLib('frontend', 'izitoast.min.css') }}">
    @elseif(Config::config()->alert === 'toast')
        <link href="{{ Config::cssLib('frontend', 'toastr.min.css') }}" rel="stylesheet">
    @else
        <link href="{{ Config::cssLib('frontend', 'sweetalert.min.css') }}" rel="stylesheet">
    @endif



    @stack('style')

    @php
        $token = \App\Models\IsoStage::where('status', 1)
            ->select('end_date')
            ->first();
    @endphp
</head>

<body>
    <div class="preloader-holder">
        <div class="preloader">
            <div></div>
            <div></div>
            <div></div>
            <div></div>
            <div></div>
            <div></div>
            <div></div>
            <div></div>
            <div></div>
            <div></div>
        </div>
    </div>
    
    <!-- back-to-top start -->
      <div class="back-to-top">
        <i class="las la-arrow-up"></i>
      </div>
      <!-- back-to-top end -->

    @include(Config::theme() . 'layout.header')

    @if (request()->routeIs('home'))
        @include(Config::theme() . 'widgets.banner')
    @else
        <section class="page-banner">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-6 text-center">
                        <h2 class="title text-white">{{ Config::trans($title ?? 'N/A') }}</h2>
                        <ul class="page-breadcrumb justify-content-center mt-2">
                            <li><a href="{{ route('home') }}">{{ __('Home') }}</a></li>
                            <li>{{ Config::trans($title ?? 'N/A') }}</li>
                        </ul>
                    </div>
                </div>
            </div>
        </section>
    @endif
    @yield('content')

    @if (Config::config()->allow_modal)
        @include('cookieConsent::index')
    @endif


    @include(Config::theme() . 'widgets.footer')
    <script src="{{ Config::jsLib('frontend', 'lib/jquery-3.6.0.min.js') }}"></script>
    <script src="{{ Config::jsLib('frontend', 'lib/bootstrap.bundle.min.js') }}"></script>
    <script src="{{ Config::jsLib('frontend', 'lib/slick.min.js') }}"></script>
    <script src="{{ Config::jsLib('frontend', 'lib/wow.min.js') }}"></script>
    <script src="{{ Config::jsLib('frontend', 'lib/glightbox.min.js') }}"></script>
    @if (Config::config()->alert === 'izi')
        <script src="{{ Config::jsLib('frontend', 'izitoast.min.js') }}"></script>
    @elseif(Config::config()->alert === 'toast')
        <script src="{{ Config::jsLib('frontend', 'toastr.min.js') }}"></script>
    @else
        <script src="{{ Config::jsLib('frontend', 'sweetalert.min.js') }}"></script>
    @endif

    <script src="{{ Config::jsLib('frontend', 'app.js') }}"></script>

    <script>
        'use strict'
        const fixedTop = document.querySelector(".sp_header");
        window.addEventListener("scroll", function() {
            if (window.pageYOffset > 50) {
                fixedTop.classList.add("animated", "fadeInDown", "sp_header_fixed");
            } else {
                fixedTop.classList.remove("animated", "fadeInDown", "sp_header_fixed");
            }
        });

        var url = "{{ route('change-language') }}";

        $(".change-lang").on('change', function() {
            console.log($(this).val())
            if ($(this).val() == '') {
                return false;
            }
            
            window.location.href = url + "?lang=" + $(this).val();
        });
    </script>



    @stack('script')

    @include('alert')
</body>

</html>
