@extends(Config::theme() . 'layout.auth')
@section('content')
    @php 
        $stage = \App\Models\IsoStage::whereStatus(true)->first();
    @endphp
    <div class="row justify-content-center">
        <div class="col-md-10">
            <div class="sp_card">
                <div class="card-header">
                    <div class="card-header-items">
                        <h4 class="header-title card-header-item">{{ __('Create your auction') }}</h4>
                        <p class="card-header-item d-flex flex-wrap align-items-center gap-3">
                            <span class="fs-18px text-white">{{__('Base Price')}} <span class="site-color">{{ Config::formatter($stage->token_base_price) }}</span></span>
                            <span class="fs-18px text-white">{{ __('token remains ') }} <span class="site-color">{{ auth()->user()->ico_token }}</span></span>
                        </p>
                    </div>
                </div>
                <div class="card-body">
                    <form action="{{ route('user.auction.store') }}" method="post">
                        @csrf 
                        <div class="row gy-4">
                            <div class="col-md-6">
                                <label for="tokens">{{ __('Token Amount') }}</label>
                                <input type="number" name="tokens" id="tokens" class="form-control" required>
                            </div>
                            <div class="col-md-6">
                                <label>{{ __('Profit Percent') }}</label>
                                <input type="number" step="any" name="base_price" id="base_price" placeholder="%" class="form-control" required>
                            </div>
                            <div class="col-md-6">
                                <label for="start_date">{{ __('Start Date') }}</label>
                                <input type="datetime-local"  name="start_date" id="start_date"  class="form-control" required>
                            </div>
                            <div class="col-md-6">
                                <label for="end_date">{{ __('End Date') }}</label>
                                <input type="datetime-local" name="end_date" id="end_date"  class="form-control" required>
                            </div>
                            <div class="col-md-12">
                                <label>{{ __('Details') }}</label>
                                <textarea name="description"  class="form-control"></textarea>
                            </div>
                            <div>
                                <button class="btn grad-btn">{{ __('Create Auction') }}</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection