@extends(Config::theme() . 'layout.auth')
@section('content')
    <div class="row gy-4">
        <div class="col-md-6">
            <div class="sp_card">
                <div class="card-header">
                    <h4 class="header-title">{{ $auction->code }}
                        @if ($auction->status == 1)
                            <span class="badge badge-success float-end">{{ __('Running') }}</span>
                        @else
                            <span class="badge badge-danger float-end">{{ __('Insufficent') }}</span>
                        @endif
                    </h4>
                </div>
                <div class="card-body">
                    <ul class="sp_caption_list">
                        <li>
                            <span class="caption">{{ __('Available Token : ') }}</span>
                            <span class="details">{{ $auction->tokens}} {{ Config::token()->token_symbol }}</span>
                        </li>
                        <li>
                            <span class="caption">{{ __('Base price : ') }}</span>
                            <span class="details">{{ $auction->base_price }} {{ Config::config()->currency . ' ' }}</span>
                        </li>
                        <li>
                            <span class="caption">{{ __('Seller : ') }}</span>
                            <span class="details">{{ $auction->user->username }}</span>
                        </li>
                        <li>
                            <span class="caption">{{ __('Expired Date : ') }}</span>
                            <span class="details">{{ date('d M Y, g:i:A', strtotime($auction->end_date)) }}</span>
                        </li>
                        
                        <li>
                            <span class="caption">{{ __('Description : ') }}</span>
                            <span class="details">{{ $auction->description }}</span>
                        </li>
                    </ul>
                    <form action="{{ route('user.auction.transection.store') }}" method="post" class="mt-4">
                        @csrf
                        <input type="hidden" value="{{ $auction->id }}" name="auction_id">
                        <input type="number" class="form-control" name="token" id="token"
                            placeholder="{{ __('Tokens') }}" required>
                            
                        <small class="d-block mt-3 site-color"><span id="amount">{{ __('0.00') }}</span>{{ ' ' . Config::config()->currency }}</small>

                        <div class="form-group mt-3">
                            <button class="btn grad-btn w-100" id="submit_btn" disabled>{{ __('Buy') }}</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>



        <div class="col-md-6">
            <div class="sp_chat_wrapper">
                <div class="sp_chat_wrapper_header">
                    <div class="sp_user_left">
                        <img src="{{ Config::getFile('user', $auction->user->image, true) }}" id="image" alt="image">
                        <div class="content">
                            <h6 class="user_name mb-0" id="username">{{$auction->user->username}}</h6>
                            <p class="mb-0" id="email">{{$auction->user->email}}</p>
                        </div>
                    </div>
                    <div class="sp_user_right">

                    </div>
                </div>

                <div class="sp_chat_wrapper_body" id="messages_container">

                </div>

                <div class="sp_chat_wrapper_footer">
                    <textarea cols="30" rows="10" placeholder="{{ __('Write Message') }}" class="message-field"
                        id="messsageInput"></textarea>
                    <button type="submit" class="chat-message-btn">
                        {{ __('Send') }}<i class="far fa-paper-plane ms-2"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('style')
    <style>
        .chat-single {
            width: 52%;
            display: flex;
            margin: 30px 0;
        }

        @media (max-width: 991px) {
            .chat-single {
                width: 85%;
            }
        }

        @media (max-width: 575px) {
            .chat-single {
                width: 100%;
            }
        }

        .chat-single .thumb {
            width: 45px;
            height: 45px;
            overflow: hidden;
            border-radius: 50%;
        }

        .chat-single .thumb img {
            object-fit: cover;
            -o-object-fit: cover;
            width: 100%;
            height: 100%;
        }

        .chat-single .content {
            width: calc(100% - 45px);
            padding-left: 20px;
        }

        .chat-single .content_top {
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            justify-content: space-between;
        }

        .chat-single .content_top .user_name {
            font-size: 14px;
            font-weight: 600;
            margin-bottom: 0;
        }

        .chat-single .content_message {
            padding: 15px 20px;
            margin-top: 8px;
            background-color: #000024;
            border-radius: 5px;
            margin-bottom: 0;
        }

        .chat-single.own-chat-single {
            float: right;

        }

        .chat-single.own-chat-single .content {
            order: -1;
            padding-left: 0;
            padding-right: 20px;
        }

        .chat-single.own-chat-single .content_top {
            flex-direction: row-reverse;
        }

        .chat-single.own-chat-single .content_message {
            background: var(--main-color);
            color: #fff;
        }

        /* user chat list css */
        .sp_chat_wrapper {
            display: flex;
            flex-flow: column;
            background-color: var(--main-color-two);
            border-radius: 10px;
            box-shadow: var(--box-shadow);
        }

        .sp_chat_wrapper .sp_chat_wrapper_header {
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            justify-content: space-between;
            border-bottom: 1px solid #ffffff14;
            padding: 10px 0;
        }

        .sp_chat_wrapper .sp_chat_wrapper_header .sp_user_left {
            padding: 5px 20px;
            display: flex;
            align-items: center;
        }

        .sp_chat_wrapper .sp_chat_wrapper_header .sp_user_left img {
            width: 42px;
            height: 42px;
            border-radius: 50%;
            object-fit: cover;
            -o-object-fit: cover;
        }

        .sp_chat_wrapper .sp_chat_wrapper_header .sp_user_right button {
            border: none;
            background-color: transparent;
            font-size: 20px;
        }

        .sp_chat_wrapper .sp_chat_wrapper_header .sp_user_left .content {
            padding-left: 15px;
        }

        .sp_chat_wrapper .sp_chat_wrapper_header .sp_user_left .user_name {
            font-size: 16px;
            font-weight: 600;
        }

        .sp_chat_wrapper .sp_chat_wrapper_header .sp_user_right {
            padding: 5px 20px;
        }

        .sp_chat_wrapper .sp_chat_wrapper_body {
            flex-grow: 1;
            padding: 20px;
            max-height: 530px;
            overflow-y: auto;
        }

        .sp_chat_wrapper .sp_chat_wrapper_body::-webkit-scrollbar {
            width: 12px;
        }

        .sp_chat_wrapper .sp_chat_wrapper_body::-webkit-scrollbar-track {
            background: var(--main-color-two);
        }

        .sp_chat_wrapper .sp_chat_wrapper_body::-webkit-scrollbar-thumb {
            background-color: #ffffff14;
            border-radius: 20px;
            border: 3px solid var(--main-color-two);
        }

        .sp_chat_wrapper .sp_chat_wrapper_footer {
            padding: 20px;
            border-top: 1px solid #ffffff14;
            position: relative;
        }

        .sp_chat_wrapper .sp_chat_wrapper_footer .message-field {
            height: 50px;
            width: 100%;
            resize: none;
            border: 1px solid #ffffff14;
            border-radius: 10px;
            padding: 10px 15px;
            padding-right: 105px;
        }

        .sp_chat_wrapper .sp_chat_wrapper_footer .message-field:focus {
            border-color: var(--main-color);
        }

        .sp_chat_wrapper .sp_chat_wrapper_footer .chat-message-btn {
            position: absolute;
            bottom: 36px;
            right: 30px;
            background-color: var(--main-color);
            border: none;
            padding: 5px 15px;
            z-index: 1;
            transition: all 0.3s;
            color: #fff;
            border-radius: 5px;
        }

        .sp_chat_wrapper .sp_chat_wrapper_footer .chat-message-btn::before {
            position: absolute;
            content: '';
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: var(--primary);
            z-index: -1;
            border-radius: 5px;
            transition: all 0.3s;
        }

        .no-chatting {
            text-align: center;
        }

        .no-chatting {
            padding: 20px 0;
        }

        .no-chatting i {
            font-size: 62px;
        }

        .no-chatting p {
            font-size: 18px;
        }
    </style>
@endpush

@push('script')
    <script>
        'use strict'

        loadMessagesOfThisConvo()

        setInterval(() => {
            loadMessagesOfThisConvo()
        }, 5000);


        function loadMessagesOfThisConvo() {
            $.ajax({
                method: 'GET',
                data:{
                    id:"{{$auction->auction_user_id}}",
                    auction:"{{$auction->id}}"
                },
                url: "{{ route('user.get.message') }}",
                success: function(response) {

                    $('#messages_container').html(response)
                }
            });
        }


        $(document).on('click', '.chat-message-btn', function() {
            $.ajax({

                method: 'POST',
                url: "{{ route('user.get.message') }}",
                data: {
                    id:"{{$auction->auction_user_id}}",
                    auction: "{{$auction->id}}",
                    message: $('#messsageInput').val(),
                    _token: "{{ csrf_token() }}"
                },
                success: function(response) {
                    loadMessagesOfThisConvo()
                },
                error: function(response) {

                    @if (Config::config()->alert === 'izi')
                        iziToast.error({
                            position: 'topRight',
                            message: JSON.parse(response.responseText).errors.message[0],
                        });
                    @elseif (Config::config()->alert === 'toast')
                        toastr.error(JSON.parse(response.responseText).errors.message[0], {
                            positionClass: "toast-top-right"

                        })
                    @else
                        Swal.fire({
                            icon: 'error',
                            title: JSON.parse(response.responseText).errors.message[0]
                        })
                    @endif
                }
            });
            $('#messsageInput').val('');
            scrollPaubos();
        })

        $('#token').on('input', function() {

            let token = +$(this).val();
            let available = @json($auction->tokens);
            let base = @json($auction->base_price);
            let price = parseFloat(token * base).toFixed(2);

            if (available >= token && token > 0) {
                $('#submit_btn').removeAttr('disabled');

            } else {
                $('#submit_btn').attr("disabled", "disabled").button('refresh');
            }

            $('#amount').text(price)

        })
    </script>
@endpush
