@extends(Config::theme() . 'layout.auth')
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="sp_card">
                <div class="card-header">
                    <div class="card-header-items">
                        <h5 class="card-header-item">{{ __('Auction List') }}</h5>
                        <div class="card-header-item">
                            @if(!auth()->user()->hasRunningAuction())
                            <a href="{{ route('user.auction.create') }}" class="btn grad-btn btn-sm"><i
                                    class="las la-plus"></i> {{ __('Create Auction') }}</a>
                            @else 
                                <span class="badge badge-success">{{__('Running auction')}}</span>
                            @endif
                        </div>
                    </div>
                </div>
                <div class="card-body p-0">
                    <div class="table-responsive">
                        <table class="table site-table">
                            <thead>
                                <tr>
                                    <th>{{ __('Auction date') }}</th>
                                    <th>{{ __('Creator') }}</th>
                                    <th>{{ __('Remain Token') }}</th>
                                    <th>{{ __('Base Price') }}</th>
                                    <th>{{ __('Action') }}</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse ($auctions as $data)
                                    <tr>
                                        <td>{{ date('d M Y', strtotime($data->start_date)) . ' - ' . date('d M Y', strtotime($data->end_date)) }}
                                        </td>
                                        <td>{{ $data->user->username }}</td>
                                        <td>{{ $data->tokens }}</td>
                                        <td>{{ Config::formatter($data->base_price) }}</td>
                                        <td>

                                            @if ($data->auction_user_id != auth()->user()->id)
                                                <a href="{{ route('user.auction.details', $data->code) }}"
                                                    class="btn btn-sm btn-success bg-success">{{ __('buy now') }}</a>
                                            @else
                                                <button data-url="{{ route('user.auction.withdraw', $data->code) }}"
                                                    class="btn btn-sm withdraw_btn btn-danger">{{ __('Withdraw Auction') }}</button>

                                                <a href="{{route('user.auction.message', $data->code)}}" class="btn grad-btn btn-sm"><i class="fas fa-sms"></i></a>
                                            @endif
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-center" colspan="100%">{{ __('No auction created yet') }}</td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" tabindex="-1" role="dialog" id="confirm">
        <div class="modal-dialog" role="document">
            <form method="get">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">{{ __('Withdraw auction') }}</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        </button>
                    </div>
                    <div class="modal-body">
                      <p class="text-danger alert"></p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-sm btn-secondary"
                            data-bs-dismiss="modal">{{ __('Close') }}</button>
                        <button type="submit" class="btn btn-sm grad-btn">{{ __('Withdraw Auction') }}</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection
  @php 
      $auctionSetting = \App\Models\AuctionSetting::first();
  @endphp
@push('script')

  <script>
    'use strict'
     
    let returnPercentage = parseInt("{{$auctionSetting->auction_refund_percantage ?? 1}}");
    
    $('.withdraw_btn').on('click',function(){

      let modal = $('#confirm');
      let url = $(this).data('url');
      modal.find('form').attr('action',url);
      let alrt = `${returnPercentage} % coin reduce. if you withdraw this auction`;
      modal.find('.alert').text(alrt);
      modal.modal('show');

    })
  </script>

@endpush
