@extends(Config::theme().'layout.auth')
@section('content')

@php 
  $token = \App\Models\IsoStage::where('status',1)->first();
  $token_percentage = $token ? ($token->used_token / $token->token_issues) * 100 : 0;
@endphp

  <div class="row gy-4">
    <div class="col-xxl-9 col-xl-8">
      <div class="sp_card">
        <div class="card-body">
          <div class="dashboard-main-card">
            <div class="row gy-4">
              <div class="col-xxl-8">
                <div class="user-account-card">
                    <div class="top">
                        <div class="left">
                            <p class="caption">{{ __('Main Account') }}</p>
                            <h3 class="title site-color">
                              {{ Auth()->user()->username }}
                            </h3>
                        </div>
                        <div class="right">
                            <p class="caption">{{ __('Token Balance') }}</p>
                            <h3 class="acc-number fw-medium text-white">
                              @if(Config::token())
                              {{ auth()->user()->ico_token.' '.Config::token()->token_symbol }}
                              @else 
                                0
                              @endif 
                            </h3>
                        </div>
                    </div>
                    <div class="bottom">
                        <div class="left">
                            <div class="row user-account-sm-card-wrapper gy-4">
                                <div class="col-sm-6">
                                    <div class="user-account-sm-card">
                                      @if(Config::token())
                                        <div class="icon success-icon">
                                            <i class="las la-arrow-down"></i>
                                        </div>
                                        
                                        <div class="content">
                                            <h4 class="title text-white">
                                              {{ date('d M, Y',strtotime($stage->end_date ?? null)) }}
                                            </h4>
                                            <p class="caption">{{ __('Current stage expired') }}</p>
                                        </div>
                                        @endif 
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="user-account-sm-card">
                                        <div class="icon danger-icon">
                                            <i class="las la-arrow-up"></i>
                                        </div>
                                        <div class="content">
                                            <h4 class="title text-white">
                                              {{ Config::formatter($totalbalance) }}
                                            </h4>
                                            <p class="caption">{{ __('Total Balance') }}</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="right">
                          <a href="{{ route('user.deposit') }}" class="btn btn-sm grad-btn">{{ __('Deposit') }}</a>
                        </div>
                    </div>
                </div>
              </div>
              <div class="col-xxl-4">
                <div class="d-box-three d-block">
                    <h5>{{ $stage->stage_name ?? 'N/A' }}
                        @if($stage)
                          @if($stage->status == 1)
                          <span class="badge badge-success float-end">{{ __('Running') }}</span>
                          @else 
                              <span class="badge badge-danger float-end">{{ __('Expired') }}</span>
                          @endif 
                        @endif 
                    </h5>
                    @if(Config::token())
                    <h4 class="mt-4"><span class="site-color">{{ __('1') }} {{ Config::token()->token_symbol?? '' }}</span> {{ __(' = ') }} {{ number_format($stage->token_base_price ?? 0,6) }} {{ Config::config()->currency }}</h4>
                    
                    <div class="mt-3">
                      <p>{{ __('End date') }} {{ date('d M, Y,  g:i A',strtotime($stage->end_date ?? null)) }}</p>
                    </div>
                    @endif 
                    @if($stage)
                      @if($stage->status == 1)
                        <a href="{{ route('user.contribute') }}" class="btn grad-btn btn-sm mt-3 w-100">{{ __('Buy Now') }}</a>
                      @endif 
                    @endif 
                </div>
              </div>
            </div>
            <div class="row gy-4 mt-0">
                <div class="col-xxl-4 col-sm-6">
                  <div class="d-box-three">
                      <div class="icon">
                          <i class="las la-piggy-bank"></i>
                      </div>
                      <div class="content">
                        <p class="text-small mb-0">{{ __('Total Deposit') }}</p>
                        <h5 class="title">
                          {{ Config::formatter($totalDeposit) }}
                        </h5>
                      </div>
                  </div>
                </div>
                <div class="col-xxl-4 col-sm-6">
                  <div class="d-box-three">
                      <div class="icon">
                          <i class="las la-hourglass-half"></i>
                      </div>
                      <div class="content">
                          <p class="text-small mb-0">{{ __('Total Withdraw') }}</p>
                          <h5 class="title">{{ Config::formatter($totalWithdraw) }}</h5>
                      </div>
                  </div>
                </div>
                <div class="col-xxl-4 col-sm-6">
                    <div class="d-box-three">
                        <div class="icon">
                            <i class="las la-piggy-bank"></i>
                        </div>
                        <div class="content">
                          <p class="text-small mb-0">{{ __('Total Payment') }}</p>
                          <h5 class="title">
                            {{ Config::formatter($totalPayments) }}
                          </h5>
                        </div>
                    </div>
                </div>
            </div>
            <div id="apex-bar-chart"></div>
            <button type="submit" class="d-main-card-expand"></button>
          </div>
        </div>
      </div>
    </div>

    <div class="col-xxl-3 col-xl-4 ps-xxl-4">
      @if(Config::token())
      <div class="d-box-two">
        <h5>{{ __('Token Sales Progress') }}</h5>
        
          <div class="d-token-status-wrapper mt-3 mb-2">
            <div class="d-token-status-item">
              <p>{{ __('Raised') }}</p>
              <h6>{{$token->used_token ?? 'N/A'}}  {{ Config::token()->token_symbol?? '' }}</h6>
            </div>
            <div class="d-token-status-item">
              <p>{{ __('Total') }}</p>
              <h6>{{$token->token_issues ?? 'N/A'}} {{ Config::token()->token_symbol?? '' }}</h6>
            </div>
          </div>
   
        <div class="d-progress">
          <span class="progressbar-dot" style="left: {{$token_percentage}}%"></span>
          <div class="progress">
            <div class="progress-bar" role="progressbar" aria-label="Basic example" style="width: {{$token_percentage}}%" aria-valuenow="{{$token_percentage}}" aria-valuemin="0" aria-valuemax="100"></div>
          </div>
        </div>

        <p class="mt-3">{{ __('SALES END IN') }}</p>
        <div id="sp_d_clock"></div>
      </div>
     
      <div class="d-box-two mt-4">
        <div><span class="me-2 text-white">{{ __('Token Name') }}</span>: <span class="site-color">{{Config::token()->token_name}}</span></div>
        <div><span class="me-2 text-white">{{ __('Ticket Symbol') }}</span>: <span class="site-color">{{ Config::token()->token_symbol?? '' }}</span></div>
        <a href="{{ route('paper.download') }}" class="btn btn-sm grad-btn w-100 mt-4"><i class="fas fa-download me-2"></i> {{ __('Download Whitepaper') }}</a>
      </div>
      @endif 
      <div class="d-box-two mt-4">
        <h5>{{ __('Recent Transaction') }}</h5>
        <div class="d_transaction_wrapper">

          @forelse($payments as $payment)
          <div class="d_transaction_item">
            <div>
              <h6 class="fs-15px">{{$payment->trx}}</h6>
              <p class="p-0">{{date('d M Y h:i',strtotime($payment->created_at))}}</p>
            </div>
            <div>
                @if($payment->type == '+')
              <span class="text-success">{{ Config::formatOnlyNumber($payment->amount * $payment->convert_rate).' '.$payment->currency }} </span>
              @else
              <span class="text-danger">{{ Config::formatOnlyNumber($payment->amount * $payment->convert_rate).' '.$payment->currency }} </span>
              @endif
            </div>
          </div>
          @empty 
          <div class="d_transaction_item">
            <div>
              <p class="p-0">{{__('Not Available')}}</p>
            </div>
            <div>
            </div>
          </div>
          @endforelse
        </div>
      </div>
    </div>
  </div>

  <div class="mt-4">
    <h5 class="mb-2">{{ __('Your Referral Link') }}</h5>
    <form>
      <div class="input-group mb-3">
        <input type="text" class="form-control copy-text" placeholder="Referral link" value="{{ route('user.register',auth()->user()->username) }}" readonly>
        <span class="input-group-text bg-base px-4 copy">{{__('Copy')}}</span>
      </div>
    </form>
  </div>

  <div class="mt-4">
    <div class="sp_card">
      <div class="card-header">
        <h5>{{ __('Auction List') }}</h5>
      </div>
      <div class="card-body p-0">
        <div class="table-responsive">
          <table class="table site-table">
            <thead>
              <tr>
                <th>{{ __('Auction date') }}</th>
                <th>{{ __('Creator') }}</th>
                <th>{{ __('Remain Token') }}</th>
                <th>{{ __('Base Price') }}</th>
                <th>{{ __('Action') }}</th>
              </tr>
            </thead>
            <tbody>

                @forelse ($auctions as $data)
                  <tr>
                      <td data-caption="Auction Date">{{ date('d M Y',strtotime($data->start_date)) .' - '. date('d M Y',strtotime($data->end_date)) }}</td>
                      <td data-caption="Creator">{{ $data->user->username }}</td>
                      <td data-caption="Remain Token">{{ $data->tokens }}</td>
                      <td data-caption="Base Price">{{ Config::formatter($data->base_price) }}</td>
                      
              
                      <td data-caption="Action">
                        <a href="{{ route('user.auction.details',$data->code) }}" class="view-btn"><i class="far fa-eye"></i></a>
                      </td>
                  </tr>
                @empty 
                  <tr>
                    <td class="text-center" colspan="100%">{{__('No data available')}}</td>
                  </tr>
                @endforelse
              
              
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>

  
@endsection

@push('external-css')
<style>
  .d-token-status-wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin: -5px -10px;
  }

  .d-token-status-item {
    padding: 5px 10px;
  }

  .d-token-status-item p {
    padding: 0;
  }

  .d-progress {
    position: relative;
  }

  .d-progress .progress {
    height: 8px;
    background-color: rgba(255, 255, 255, 0.15);
  }
  
  .d-progress .progressbar-dot {
    position: absolute;
    top: 50%;
    width: 16px;
    height: 16px;
    background-color: var(--main-color);
    border: 2px solid #fff;
    border-radius: 50%;
    margin-top: -8px;
    margin-left: -8px;
  }

  .d-progress .progress-bar {
    background: var(--main-color);
    background: -webkit-linear-gradient(135deg, var(--grad-one) 0%, var(--grad-two) 100%);
    background: linear-gradient(135deg, var(--grad-one) 0%, var(--grad-two) 100%);
  }

  #sp_d_clock {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }

  #sp_d_clock .single-time {
    width: calc(25% - 7px);
    text-align: center;
    padding: 15px;
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 8px;
  }

  #sp_d_clock .single-time span {
    color: #fff;
    font-size: 22px;
    font-weight: 600;
    line-height: 1;
    margin: 0;
  }

  #sp_d_clock .single-time p {
    margin-bottom: 0;
    line-height: 1;
    margin-top: 3px;
  }
</style>
@endpush 



@push('script')

<script src="{{ Config::jsLib('frontend','lib/apexcharts.js') }}"></script>
<script>
  
'use strict'

    var copyButton = document.querySelector('.copy');
    var copyInput = document.querySelector('.copy-text');
    copyButton.addEventListener('click', function(e) {
        e.preventDefault();
        var text = copyInput.select();
        document.execCommand('copy');
    });
    copyInput.addEventListener('click', function() {
        this.select();
    });



  var options = {
        series: [{
            name: @json(Config::token()->token_symbol ?? 'N/A'),
            data: @json($coins),
        }],
        chart: {
            type: 'bar',
            height: 430,
            toolbar: {
                show: false
            }
        },
        plotOptions: {
            bar: {
                horizontal: false,
                columnWidth: '40%',
                endingShape: 'rounded'
            },
        },
        dataLabels: {
            enabled: false
        },
        stroke: {
            show: true,
            width: 2,
            colors: ['transparent']
        },
        xaxis: {
            categories: @json($months),
            labels: {
              style: {
                colors: ['#fff', '#fff', '#fff', '#fff', '#fff', '#fff', '#fff', '#fff', '#fff' ,'#fff', '#fff', '#fff']
              }
            }
        },
        yaxis: {
            title: {
                text: @json(Config::token()->token_name ?? 'N/A'),
                style: {
                    color: '#7c97bb'
                }
            },
            labels: {
              style: {
                colors: ['#fff']
              }
            }
        },
        grid: {
            xaxis: {
                lines: {
                    show: false
                }
            },
            yaxis: {
                lines: {
                    show: false
                }
            },
        },
        fill: {
            opacity: 1,
            type: "gradient",
            gradient: {
              shadeIntensity: 1,
              opacityFrom: 0.4,
              opacityTo: 0.5,
              colorStops: [
                  {
                    offset: 30,
                    color: "#b21ffd",
                    opacity: 1
                  },
                  {
                    offset: 100,
                    color: "#0FCAED",
                    opacity: 1
                  }
                ]
            }
        },
        // colors: ['#813FD6', '#FCB750', '#38B657'],
        tooltip: {
            y: {
                formatter: function(val) {
                    return val
                }
            }
        }
  };

    var chart = new ApexCharts(document.querySelector("#apex-bar-chart"), options);
    chart.render();

    $('.count').each(function () {
      $(this).prop('Counter',0).animate({
        Counter: $(this).text()
      },{
        duration: 2000,
        easing: 'swing',
        step: function (now) {
          $(this).text(Math.ceil(now));
        }
      });
    });
    let end = @json(date('Y/m/d',strtotime($token->end_date ?? date('Y/m/d'))));
    
    $('#sp_d_clock').countdown(end, function(event) {
      $(this).html(event.strftime(''
      + '<div class="single-time"><div class="single-time-inner"><span>%D</span> <p>DAY</p></div></div>'
      + '<div class="single-time"><div class="single-time-inner"><span>%H</span> <p>HOUR</p></div></div>'
      + '<div class="single-time"><div class="single-time-inner"><span>%M</span> <p>MIN</p></div></div>'                                                                  
      + '<div class="single-time"><div class="single-time-inner"><span>%S</span> <p>SEC</p></div></div>'));
    });
</script>

@endpush