@extends(Config::theme() . 'layout.auth')
@section('content')

    <div class="sp_card">
        <div class="card-header">
            <ul class="nav nav-pills sp_line_nav_tabs" id="pills-tab" role="tablist">
                <li class="nav-item" role="presentation">
                    <a class="nav-link {{$status == 'sale' ? 'active' : ''}}" href="{{ route('user.auction_log','auction-sale') }}" >{{ __('Sale Token Log') }}</a>
                </li>
                <li class="nav-item" role="presentation">
                    <a class="nav-link {{$status == 'buy' ? 'active' : ''}}" href="{{ route('user.auction_log','auction-buy') }}" >{{ __('Buy Token Log') }}</a>
                </li>
            </ul>
        </div>
        <div class="card-body p-0">
            <div class="tab-content" id="pills-tabContent">
                @if($status == 'sale')
                    <div class="tab-pane fade show active">
                        <div class="card-body p-0">
                            <div class="table-responsive">
                                <table class="table site-table">
                                    <thead>
                                        <tr>
                                            <th>{{ __('Sl') }}</th>
                                            <th>{{ __('Buyer') }}</th>
                                            <th>{{ __('Base Price') }}</th>
                                            <th>{{ __('Tokens') }}</th>
                                            <th>{{ __('Amount') }}</th>
                                            <th>{{ __('Date') }} </th>
                                        </tr>
                                    </thead>

                                    <tbody>
                                        @forelse($logs as $key => $log)
                                            <tr>
                                                <td>{{ $key + 1 }}</td>
                                                <td>{{ $log->buyer->username }}</td>
                                                <td>{{ Config::formatter($log->base_price) }}</td>
                                                <td>{{ $log->token.' '.Config::token()->token_symbol }}</td>
                                                <td>{{ Config::formatter($log->total_amount) }}</td>
                                                <td>{{ date('d M, Y',strtotime($log->created_at)) }}</td>
                                            </tr>
                                        @empty
                                            <tr>
                                                <td class="text-center" colspan="100%">
                                                    {{ __('No Log Found') }}
                                                </td>
                                            </tr>
                                        @endforelse
                                    </tbody>
                                </table>


                            </div>
                        </div>


                        @if ($logs->hasPages())
                            <div class="card-footer">
                                {{ $logs->links() }}
                            </div>
                        @endif
                    </div>
                @else
                    <div class="tab-pane fade show active">
                        <div class="tab-pane fade show active">
                            <div class="card-body p-0">
                                <div class="table-responsive">
                                    <table class="table site-table">
                                        <thead>
                                            <tr>
                                                <th>{{ __('Sl') }}</th>
                                                <th>{{ __('Sellar') }}</th>
                                                <th>{{ __('Base Price') }}</th>
                                                <th>{{ __('Tokens') }}</th>
                                                <th>{{ __('Amount') }}</th>
                                                <th>{{ __('Date') }} </th>
                                            </tr>
                                        </thead>

                                        <tbody>
                                            @forelse($logs as $key => $log)
                                                <tr>
                                                    <td>{{ $key + 1 }}</td>
                                                    <td>{{ $log->saller->username }}</td>
                                                    <td>{{ Config::formatter($log->base_price) }}</td>
                                                    <td>{{ $log->token.' '.Config::token()->token_symbol }}</td>
                                                    <td>{{ Config::formatter($log->total_amount) }}</td>
                                                    <td>{{ date('d M, Y',strtotime($log->created_at)) }}</td>
                                                </tr>
                                            @empty
                                                <tr>
                                                    <td class="text-center" colspan="100%">
                                                        {{ __('No Log Found') }}
                                                    </td>
                                                </tr>
                                            @endforelse
                                        </tbody>
                                    </table>


                                </div>
                            </div>


                            @if ($logs->hasPages())
                                <div class="card-footer">
                                    {{ $logs->links() }}
                                </div>
                            @endif
                        </div>
                    </div>
                @endif 
            </div>
        </div>
    </div>
@endsection
