@extends(Config::theme() . 'layout.auth')
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="sp_card">
                <div class="card-header">
                    <form action="{{ url()->current() }}" method="get" class="row justify-content-md-end g-3 ms-auto">
                        <div class="col-auto">
                            <input type="text" name="trx" class="form-control form-control-sm me-2"
                                placeholder="transaction id">
                        </div>
                        <div class="col-auto">
                            <input type="date" class="form-control form-control-sm me-3" 
                                name="date">
                        </div>
                        <div class="col-auto">
                            <button type="submit" class="btn btn-sm grad-btn">{{ __('Search') }}</button>
                        </div>
                    </form>

                </div>
                <div class="card-body p-0">
                    <div class="table-responsive">
                        <table class="table site-table">
                            <thead>
                                <tr>
                                    <th>{{ __('Trx') }}</th>
                                    <th>{{ __('User') }}</th>
                                    <th>{{ __('Gateway') }}</th>
                                    <th>{{ __('Amount') }}</th>
                                    <th>{{__('Convert Rate')}}</th>
                                    <th>{{ __('Currency') }}</th>
                                    <th>{{ __('Charge') }}</th>
                                    <th>{{ __('Payment Date') }}</th>
                                    <th>{{__('Rejection Note')}}</th>
                                    <th>{{ __('Status') }}</th>
                                </tr>
                            </thead>

                            <tbody>
                                @forelse($deposits as $key => $deposit)
                                  
                                    <tr>
                                        <td>{{ $deposit->trx }}</td>
                                        <td>
                                            {{ $deposit->user->username }}</td>
                                        <td>
                                            {{ $deposit->gateway->name ?? 'Account Transfer' }}</td>
                                        <td>{{ Config::formatter($deposit->amount) }}</td>
                                        <td>{{Config::formatOnlyNumber($deposit->amount * $deposit->gateway->rate).' '.$deposit->gateway->parameter->gateway_currency}}</td>
                                        <td>{{ Config::config()->currency }}</td>
                                        <td>
                                            {{ Config::formatter($deposit->charge) }}</td>

                                        <td>
                                            {{ $deposit->created_at->format('Y-m-d') }}
                                        </td>
                                        <td>{{Config::trans($deposit->rejection_note ?? '-')}}</td>
                                        <td>
                                            @if ($deposit->status == 1)
                                                <span
                                                    class="badge badge-success">{{ __('Successfull') }}</span>
                                            @elseif($deposit->status == 2)
                                                <span class="badge badge-warning">{{ __('Pending') }}</span>
                                            @else
                                                <span class="badge badge-danger">{{ __('Reject') }}</span>
                                            @endif
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-center" colspan="100%">
                                            {{ __('No Deposits Found') }}
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
                @if ($deposits->hasPages())
                    <div class="card-footer">
                        {{ $deposits->links() }}
                    </div>
                @endif
            </div>
        </div>
    </div>
@endsection
