@extends(Config::theme() . 'layout.auth')
@section('content')

    <div class="row">
        <div class="col-md-12">
            <div class="sp_card">
                <div class="card-header">
                    <div class="card-header-items">
                        <h5 class="card-header-item">{{ __('Payment Log') }}</h5>
                        <form action="{{ url()->current() }}" method="get" class="row justify-content-md-end g-3 card-header-item">
                            <div class="col-auto">
                                <input type="text" name="trx" class="form-control form-control-sm me-2" placeholder="transaction id">
                            </div>
                            <div class="col-auto">
                                <input type="date" class="form-control form-control-sm me-3"  name="date">
                            </div>
                            <div class="col-auto">
                                <button type="submit" class="btn btn-sm grad-btn">{{ __('Search') }}</button>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="card-body p-0">
                    <div class="table-responsive">
                        <table class="table site-table">
                            <thead>
                                <tr>
                                    <th>{{ __('Trx') }}</th>
                                    <th>{{ __('Gateway') }}</th>
                                    <th>{{ __('Amount') }}</th>
                                    <th>{{__('Convert rate')}}</th>
                                    <th>{{ __('Charge') }}</th>
                                    <th>{{ __('Payment Date') }}</th>
                                    <th>{{__('Rejection Note')}}</th>
                                    <th>{{ __('Status') }}</th>
                                </tr>
                            </thead>

                            <tbody>
                               
                                @forelse($investments as $key => $investment)
                                    <tr>
                                        <td>{{ $investment->trx }}</td>
                                        <td>
                                            @if ($investment->gateway_id == null)
                                                {{ __('Invest Using Balance') }}
                                            @else
                                                {{ optional($investment->gateway)->name ?? 'Account Transfer' }}
                                            @endif
                                        </td>
                                        <td>{{ Config::formatter($investment->amount) }}</td>
                                        @if($investment->gateway_id)
                                            <td>{{Config::formatOnlyNumber($investment->amount * $investment->gateway->rate).' '.$investment->gateway->parameter->gateway_currency}}</td>
                                        @else 
                                            <td>{{Config::formatter($investment->amount)}}</td>
                                        @endif
                                        
                                        <td>
                                            {{ Config::formatter($investment->charge) }}</td>

                                        <td>
                                            {{ $investment->created_at->format('d M , Y') }}
                                        </td>
                                        <td>{{Config::trans($investment->rejection_reason ?? '-')}}</td>
                                        <td>
                                            @if ($investment->status == 2)
                                                <span class="badge badge-warning">{{ __('Pending') }}</span>
                                            @elseif($investment->status == 1)
                                                <span class="badge badge-success">{{ __('Accept') }}</span>
                                            @elseif($investment->status == 3)
                                                <span class="badge badge-danger">{{ __('Rejected') }}</span>
                                            @endif
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-center" colspan="100%">
                                            {{ __('No Payment Found') }}
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
                @if ($investments->hasPages())
                    <div class="card-footer">
                        {{ $investments->links() }}
                    </div>
                @endif
            </div>
        </div>
    </div>
@endsection
