@extends(Config::theme() . 'layout.auth')
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="sp_card">
                <div class="card-header">
                    <form action="{{ url()->current() }}" method="get" class="row justify-content-md-end g-3 ms-auto">
                        <div class="col-auto">
                            <input type="date" class="form-control form-control-sm me-3"  name="date">
                        </div>
                        <div class="col-auto">
                            <button type="submit" class="btn btn-sm grad-btn">{{ __('Search') }}</button>
                        </div>
                    </form>
                </div>
                <div class="card-body p-0">
                    <div class="table-responsive">
                        <table class="table site-table">
                            <thead>
                                <tr>
                                    <th>{{ __('Sl') }}</th>
                                    <th>{{ __('Stage Name') }}</th>
                                    <th>{{ __('Base Price') }}</th>
                                    <th>{{ __('Tokens') }}</th>
                                    <th>{{ __('Amount') }}</th>
                                    <th>{{ __('Payment Status') }}</th>
                                    <th>{{ __('Date') }} </th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse($logs as $key => $log)
                                    <tr>
                                        <td>{{ $key + 1 }}</td>
                                        <td>{{ $log->stage->stage_name }}</td>
                                        <td>{{ Config::formatter($log->stage->token_base_price) }}</td>
                                        <td>{{ $log->tokens.' '.Config::token()->token_symbol }}</td>
                                        @if($log->payment->gateway_id)
                                            <td>{{ Config::formatOnlyNumber($log->payment->total).' '.$log->payment->gateway->parameter->gateway_currency }}</td>
                                        @else
                                            <td>{{ Config::formatter($log->payment->total) }}</td>
                                        @endif 
                                        <td>
                                            @if($log->payment->status == 1)
                                                <span class="badge badge-success">{{ __('Approved') }}</span>
                                            @elseif($log->payment->status == 3)
                                                <span class="badge badge-warning">{{ __('Rejected') }}</span>
                                            @else
                                                <span class="badge badge-danger">{{ __('Pending') }}</span>
                                            @endif 
                                        </td>
                                        <td>{{ date('d M , Y',strtotime($log->created_at)) }}</td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-center" colspan="100%">
                                            {{ __('No Log Found') }}
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
                @if ($logs->hasPages())
                    <div class="card-footer">
                        {{ $logs->links() }}
                    </div>
                @endif
            </div>
        </div>
    </div>
@endsection
