@extends(Config::theme() . 'layout.auth')
@section('content')

    <div class="row">
        <div class="col-md-12">
            <div class="sp_card">
                <div class="card-header">
                    <div class="card-header-items">
                        <h5 class="card-header-item">{{ __('Transaction Log') }}</h5>
                        <form action="{{ url()->current() }}" method="get" class="row justify-content-md-end g-3 card-header-item">
                            <div class="col-auto">
                                <input type="text" name="trx" class="form-control form-control-sm me-2"
                                    placeholder="transaction id">
                            </div>
                            <div class="col-auto">
                                <input type="date" class="form-control form-control-sm me-3" 
                                    name="date">
                            </div>
                            <div class="col-auto">
                                <button type="submit" class="btn btn-sm grad-btn">{{ __('Search') }}</button>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="card-body p-0">
                    <div class="table-responsive">
                        <table class="table site-table">
                            <thead>
                                <tr>
                                    <th>{{ __('Trx') }}</th>
                                    <th>{{ __('User') }}</th>
                                    <th>{{ __('Amount') }}</th>
                                    <th>{{__('Convert Rate')}}</th>
                                    <th>{{ __('Charge') }}</th>
                                    <th>{{ __('Details') }}</th>
                                    <th>{{ __('Type') }}</th>
                                    <th>{{ __('Date') }}</th>
                                </tr>
                            </thead>

                            <tbody>
                                @forelse($transactions as $key => $transaction)
                                    <tr>
                                        <td>{{ $transaction->trx }}</td>
                                        <td>
                                            {{ optional($transaction->user)->username }}</td>
                                        <td>{{ Config::formatter($transaction->amount) }}</td>
                                        <td>{{Config::formatOnlyNumber($transaction->amount * $transaction->convert_rate).' '.$transaction->currency}}</td>

                                        <td>
                                            {{ Config::formatter($transaction->charge) }}
                                        </td>
                                        <td>{{ $transaction->details }}</td>
                                        <td>
                                            @if ($transaction->type == '-')
                                                <span class="text-danger fs-5"> {{ $transaction->type }}</span>
                                            @else
                                                <span class="text-success fs-5"> {{ $transaction->type }}</span>
                                            @endif

                                        </td>
                                        <td>
                                            {{ $transaction->created_at->format('Y-m-d') }}
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-center" colspan="100%">
                                            {{ __('No Transaction Found') }}
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>

                    </div>
                </div>
                @if ($transactions->hasPages())
                    <div class="card-footer">
                        {{ $transactions->links() }}
                    </div>
                @endif
            </div>
        </div>
    </div>
@endsection
