@extends(Config::theme() . 'layout.auth')
@section('content')
    <div class="row justify-content-center">
        <div class="col-xxl-7 col-xl-10">
            <div class="sp_card">
                <form action="{{ route('user.contribute.store') }}" method="post" id="checkoutForm">
                    @csrf
                    <input type="hidden" name="hidden_payment_type" id="hidden_payment_type">
                    <input type="hidden" name="amount" id="amount">
                    <input type="hidden" name="plan_id" id="plan_id" value="{{ $stage->id }}">
                    <div class="card-body">
                        <div class="text-center mb-5">
                            <h4>{{ __('Choose currency and calculate') }} {{ Config::token()->token_symbol }}
                                {{ __('token price') }}</h4>
                            <small>{{ __('You can buy our') }} {{ Config::token()->token_symbol }}
                                {{ __('token using the below currency choices to become part of our project.') }}</small>
                        </div>

                        <input type="hidden" value="{{ Config::token()->currency_id }}" name="currency_default_id"
                            id="currency_default_id">
                        <input type="hidden" value="{{ $stage->soft_cap }}" name="currency_default_soft_cap"
                            id="currency_default_soft_cap">

                        <div class="row gy-5">
                            <div class="col-md-6">
                                <h4 class="mb-4">{{ __('Crypto Currency') }}</h4>
                                <div class="row gy-4">
                                    @foreach ($cripto as $currency)
                                        <div class="col-md-12 cripto_currency_div">
                                            <input type="hidden" value="{{ $currency->id }}" name="currency_id">
                                            <div
                                                class="d-box-three d-box-three-currency {{ $currency->id == Config::token()->currency_id ? 'active_currency' : '' }} currency_card">
                                                <div class="currency-img">
                                                    <img src="{{ Config::getFile('currency', $currency->image, true) }}"
                                                        class="tr_image" alt="currency image">
                                                </div>
                                                <div class="currency-content">
                                                    <h6>{{ $currency->name }}</h6>
                                                    <span>{{ $currency->rate }}
                                                        <strong>{{ $currency->name }}</strong></span>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            </div>
                            <div class="col-md-6">
                                <h4 class="mb-4">{{ __('Fiat Currency') }}</h4>
                                <div class="row gy-4">
                                    @foreach ($fiat as $currency)
                                        <div class="col-md-12 fiat_currency_div">
                                            <input type="hidden" value="{{ $currency->id }}" name="currency_id">

                                            <div
                                                class="d-box-three d-box-three-currency {{ $currency->id == Config::token()->currency_id ? 'active_currency' : '' }} p-1  currency_card">
                                                <div class="currency-img">
                                                    <img src="{{ Config::getFile('currency', $currency->image) }}"
                                                        class="tr_image" alt="image">
                                                </div>
                                                <div class="currency-content">
                                                    <h6>{{ $currency->name }}</h6>
                                                    <span>{{ $currency->rate }}
                                                        <strong>{{ $currency->name }}</strong></span>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            </div>
                        </div>

                        <h4 class="mt-4 mb-3">{{ __('Purchase Amount') }}</h4>
                        <div class="currency-change-wrapper">
                            <div class="main-currency">
                                <input type="number" class="number-to-text" name="ico_token" value="{{ $stage->soft_cap }}" required
                                    id="ico_token">
                                <span class="ms-3">{{ Config::token()->token_symbol }}</span>
                            </div>
                            <div class="exchange-currency">
                                <span id="convert_price" class="me-1">{{ __('0.00') }}</span> 
                                <span id="convert_price_name">{{ Config::token()->currency->name }}</span>
                                <span class="mx-2">=</span>
                                <span id="usd_price" class="site-color">0 {{Config::config()->currency}}</span>
                            </div>
                        </div>
                        <small class="mb-3 text-info"><i class="fas fa-info-circle"></i>
                            {{ __('minimum purchase token ' . $stage->soft_cap . ' ' . __(' and maximum ') . ' ' . $stage->hard_cap) }}</small>

                        <div class="d-flex flex-wrap gap-3 mt-4">
                            <button type="submit" class="btn grad-btn flex-grow-1 submit_btn wallet">{{ __('Payment Now') }}</button>
                            <button type="submit" class="btn grad-border-btn flex-grow-1 submit_btn balance">{{ __('Pay with balance') }}</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="modal fade" id="confirmation" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <form method="post">
                @csrf
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title flex-grow-1 text-center">{{ __('Confirmation') }}</h5>
                        <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="wrapper">
                            <input type="hidden" name="payment" value="">
                            <input type="hidden" name="payment_type" value="">
                            <p>{{__("Are you sure to payment ? ")}}</p>
                        </div>
                    </div>

                    <div class="modal-footer justify-content-center">
                        <button class="btn btn-sm btn-secondary" type="button"
                            data-bs-dismiss="modal">{{ __('Close') }}</button>
                        <button class="btn btn-sm grad-btn " id="submit_btn" type="submit">{{ __('Next') }}</button>
                    </div>

                </div>
            </form>
        </div>
    </div>
@endsection

@php
    $setting_currency = \App\Models\IcoSetting::first();
@endphp

@push('external-css')
    <style>
    
        input.number-to-text::-webkit-outer-spin-button,
input.number-to-text::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number].number-to-text {
    -moz-appearance: textfield;
}
        .currency_card {
            cursor: pointer;
        }

        .tr_image {
            width: 100%;
            height: 100%;
            object-fit: cover;
            object-position: center;
        }

        .wrapper {
            display: inline-flex;
            height: 60px;
            width: 100%;
            align-items: center;
            justify-content: space-evenly;
        }

        .wrapper .option {
            background: transparent;
            height: 100%;
            width: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
            margin: 0 10px;
            border-radius: 5px;
            cursor: pointer;
            padding: 0 10px;
            border: 2px solid #ffffff1c;
            transition: all 0.3s ease;
        }

        .wrapper .option .dot {
            height: 20px;
            width: 20px;
            border-radius: 50%;
            position: relative;
            margin-right: 6px;
            border: 4px solid #d9d9d92e;
        }

        .wrapper .option .dot::before {
            position: absolute;
            content: "";
            top: 4px;
            left: 4px;
            width: 12px;
            height: 12px;
            background: var(--main-color);
            border-radius: 50%;
            opacity: 0;
            transform: scale(1.5);
            transition: all 0.3s ease;
        }

        input[type="radio"] {
            display: none;
        }

        #option-1:checked:checked~.option-1,
        #option-2:checked:checked~.option-2 {
            background: var(--main-color);
            background: -webkit-linear-gradient(135deg, var(--grad-one) 0%, var(--grad-two) 100%);
            background: linear-gradient(135deg, var(--grad-one) 0%, var(--grad-two) 100%);
            border: none;
        }

        #option-1:checked:checked~.option-1 .dot,
        #option-2:checked:checked~.option-2 .dot {
            border-color: #fff;
        }

        .wrapper .option span {
            font-size: 18px;
            color: #808080;
        }

        #option-1:checked:checked~.option-1 span,
        #option-2:checked:checked~.option-2 span {
            color: #fff;
        }

        @media (max-width: 575px) {
            .wrapper {
                height: 40px;
            }

            .wrapper .option {
                margin: 0 5px;
                padding: 0 5px;
            }

            .wrapper .option .dot {
                width: 12px;
                height: 12px;
            }

            .wrapper .option .dot::before {
                width: 8px;
                height: 8px;
                top: 2px;
                left: 2px;
            }

            .wrapper .option span {
                font-size: 12px;
            }
        }
    </style>
@endpush

@push('script')
    <script>
        $(function() {

            'use strict'

            $('input[name=ico_token]').on('keyup', function() {
                let token = parseInt($(this).val());
                let currency = $('#currency_default_id').val();

                let min = "{{$stage->soft_cap}}";
                let max = "{{$stage->hard_cap}}";
                
                

                if (token >= min && token <= max) {
                    $('.submit_btn').attr("disabled", false);
                    $('.balance').attr("disabled",false);
                } else {
                    $('.submit_btn').attr("disabled", true);
                    $('.balance').attr("disabled",true);
                }
                
                if(currency == "{{$setting_currency->currency_id}}"){
                    if (token >= min && token <= max) {
                        $('.balance').attr("disabled",false);
                    }else{
                        $('.balance').attr("disabled",true);
                    }
                    
                }else{
                    $('.balance').attr("disabled",true);
                }

                if (token != null && currency != null) {
                    $.ajax({
                        method: 'get',
                        url: "{{ route('user.currency.convert') }}",
                        data: {
                            'token': token,
                            'currency': currency
                        },
                        success: function(response) {
                            $('#convert_price').text(response.price);
                            $('#convert_price_name').text(response.name);
                            $('input[name=amount]').val(response.usd_price)
                            $('#usd_price').text(`${response.usd_price} USD`);
                        }
                    })
                } else {
                    $('#convert_price').text('');
                    $('#convert_price_name').text('');
                }
            });

            $('.cripto_currency_div').on('click', function() {

                let val = $(this).find('input[name=currency_id]').val();
                $('input[name=currency_default_id]').val(val);
                $('.d-box-three').removeClass('active_currency');
                $(this).find('.d-box-three').addClass('active_currency');
                
                $.ajax({
                    method: 'get',
                    url: "{{ route('user.currency.symbol') }}",
                    data: {
                        'currency': val
                    },
                    success: function(response) {
                        autoConvert($('input[name=currency_default_id]').val(),$('input[name=ico_token]').val());
                    }
                })
            })


            $('.fiat_currency_div').on('click', function() {

                let val = $(this).find('input[name=currency_id]').val();
                $('input[name=currency_default_id]').val(val);
                $('.d-box-three').removeClass('active_currency');
                $(this).find('.d-box-three').addClass('active_currency');

                $.ajax({
                    method: 'get',
                    url: "{{ route('user.currency.symbol') }}",
                    data: {
                        'currency': val
                    },
                    success: function(response) {
                        autoConvert($('input[name=currency_default_id]').val(),$('input[name=ico_token]').val());
                    }
                })



            })

            $('.balance').on('click', function(e) {
                e.preventDefault();
                const modal = $('#confirmation')
                modal.find('input[name=payment_type]').val('balance');
                modal.modal('show')
            })
            
            $('.wallet').on('click', function(e) {
                e.preventDefault();
                
                const modal = $('#confirmation')
                modal.find('input[name=payment_type]').val('wallet');
                modal.modal('show')
            })

            $('#submit_btn').on('click', function(e) {

                e.preventDefault();
                let type = $("input[name='payment_type']").val();
                $('#hidden_payment_type').val(type);
                $('#checkoutForm').submit();

            })


            
            function autoConvert(currency = $('#currency_default_id').val(),token = $('#currency_default_soft_cap').val()) {
             
                $.ajax({
                    method: 'get',
                    url: "{{ route('user.currency.convert') }}",
                    data: {
                        'token': token,
                        'currency': currency
                    },
                    success: function(response) {
                     
                        $('#convert_price').text(parseFloat(response.price).toFixed(8));
                        $('#convert_price_name').text(response.name);
                        $('input[name=amount]').val(response.usd_price);
                        $('#usd_price').text(`${response.usd_price} USD`);
                    },
                    complete:function(){
                        let set_cur = "{{$setting_currency->currency_id}}";
                        if(set_cur == $('input[name=currency_default_id]').val()){
                            $('.balance').attr("disabled", false);
                        }else{
                            $('.balance').attr("disabled", true);
                        }
                        
                    }
                })
            }

            autoConvert();


        })
    </script>
@endpush
