@extends(Config::theme() . 'layout.auth')
@section('content')

<div class="row gy-4">
    @forelse ($stages as $stage)
    <div class="col-xxl-4 col-lg-6 col-sm-8">
        <div class="d-box-two d-block">
            <h5>{{ Config::trans($stage->stage_name) }}
                @if($stage->status == 1)
                    <span class="badge badge-success float-end">{{ __('Running') }}</span>
                @else 
                    <span class="badge badge-danger float-end">{{ __('Expired') }}</span>
                @endif 
            </h5>
            <h4 class="mt-4"><span class="site-color">{{ __('1') }} {{ Config::token()->token_symbol }}</span> {{ __(' = ') }} {{ number_format($stage->token_base_price,6) }} {{ Config::config()->currency }}</h4>
            <div class="my-4">
                <ul class="sp_caption_list">
                    <li>
                        <span class="caption">{{ __('Available tokens') }}</span>
                        <span class="details">{{ $stage->token_issues - $stage->used_token }} {{ Config::token()->token_symbol }}</span>
                    </li>
                    <li>
                        <span class="caption">{{ __('Bonus tokens') }}</span>
                        <span class="details">{{ $stage->bonus ?? 0 }} {{ Config::token()->token_symbol }}</span>
                    </li>
                    <li>
                        <span class="caption">{{ __('Start date') }}</span>
                        <span class="details">{{ date('d M, Y,  g:i A',strtotime($stage->start_date)) }}</span>
                    </li>
                    <li>
                        <span class="caption">{{ __('End date') }}</span>
                        <span class="details">{{ date('d M, Y,  g:i A',strtotime($stage->end_date)) }}</span>
                    </li>
                </ul>
            </div>
            @if($stage->status == 1)
                <a href="{{ route('user.contribute') }}" class="btn grad-btn btn-sm w-100">{{ __('Buy Now') }}</a>
            @endif 
        </div>

    </div>
    @empty 
    <div class="col-xxl-4 col-lg-6 col-sm-8">
        <div class="d-box-two d-block">
           <p>{{__('No data found')}}</p>
        </div>

    </div>
    @endforelse
    
    @if($stages->hasPages())
        
        <div class="col-md-12">
            {{$stages->links()}}
        </div>
        
    @endif
</div>
  
@endsection


