@extends(Config::theme() . 'layout.auth')
@section('content')
    <div class="row align-items-center">
        <div class="col-lg-8">
            <h4>{{ $ticket->support_id }} - {{ $ticket->subject }} </h4>
        </div>
        <div class="col-lg-4 text-lg-end">
            <a href="{{ route('user.ticket.index') }}" class="text-white">
                <i class="fas fa-arrow-left"></i> 
                {{ __('Back to Ticket List') }}
            </a>
        </div>
    </div>

    <div class="sp_card mt-4">
        <div class="card-body">
            <form action="{{ route('user.ticket.reply', $ticket->id) }}" enctype="multipart/form-data"
                method="post">
                @csrf
                <div class="mb-3">
                    <input type="hidden" name="ticket_id" value="{{ $ticket->id }}">
                    <label class="form-label">{{ __('Message') }}</label>
                    <textarea class="form-control" name="message"></textarea>
                </div>
                <div class="mb-3">
                    <label for="image-upload" id="image-label">{{ __('Choose File') }}</label>
                    <input type="file" name="file" id="image-upload" class="form-control">
                </div>
                <div class="text-end">
                    <button type="submit" class="btn btn-sm grad-btn"><i class="fas fa-reply"></i>
                        {{ __('Reply') }}</button>
                </div>
            </form>
        </div>
    </div>

    <div class="sp_ticket_reply_wrapper mt-5">
        @forelse($ticket_reply as $ticket)
            <div class="sp_single_reply {{ $ticket->admin_id != null ? 'admin-reply' : '' }} mt-4">
                <span class="text-small mb-2">
                    {{ 'Reply In' }}
                    <span class="fw-bolder">
                        {{ $ticket->created_at->format('d M, Y H:i:s') }}
                    </span>
                </span>
                <p>
                    {{ $ticket->message }}
                </p>
                @if ($ticket->file)
                    <p class="mb-0 mt-2">
                        <a class="color-change" href="{{ route('user.ticket.download', $ticket->id) }}"> <i
                                class="fas fa-cloud-download-alt"></i>
                            {{ __('View Attachement') }}</a>
                    </p>
                @endif
            </div>
        @empty
        @endforelse
    </div>
@endsection
