@php
    $banner = Config::builder('banner');
    $token = \App\Models\IsoStage::where('status',1)->first();
    $paper = \App\Models\Whitepaper::first();
@endphp

<section class="sp_banner">
    <div class="sp_banner_el">
      <img src="{{ Config::getFile('banner',$banner->content->image_two,true) }}" alt="image">
    </div>
    <div class="container">
      <div class="row align-items-center justify-content-between">
        <div class="col-xxl-7 col-xl-6 col-lg-7 pe-xxl-5 text-lg-start text-center">
          <h2 class="sp_banner_title wow fadeInUp" data-wow-duration="0.3s" data-wow-delay="0.3s">{{ Config::trans($banner->content->title) }}</h2>
          <p class="mt-3 wow fadeInUp" data-wow-duration="0.3s" data-wow-delay="0.5s">{{ Config::trans($banner->content->short_description) }}</p>
          <div class="mt-4 wow fadeInUp" data-wow-duration="0.3s" data-wow-delay="0.7s">
            <a href="{{ $banner->content->button_link }}" class="btn grad-btn mt-3"><i class="las la-arrow-right rotate-arrow me-2"></i>{{ Config::trans($banner->content->button_text) }}</a>
            @if($paper && $paper->status)
            <a href="{{ route('paper.download',$paper->id) }}" class="btn grad-border-btn mt-3 ms-3"><i class="las la-download me-2"></i>{{ __('Download Whitepaper') }}</a>
            @endif 
          </div>
          <div class="mt-lg-5 mt-4 wow fadeInUp" data-wow-duration="0.3s" data-wow-delay="0.9s">
            <h5 class="mb-2 main-clock-title">{{ __('Token Sales End') }}</h5>
            <div id="main-clock"></div>
          </div>
        </div>
        <div class="col-lg-5 ps-xl-5 wow fadeInRight" data-wow-duration="0.3s" data-wow-delay="0.7s">
          <div class="sp_banner_token_wrapper">
            <div class="sp_banner_token_wrapper_img">
              <img src="{{ Config::getFile('banner',$banner->content->image_one,true) }}" alt="image">
            </div>
            <div class="circle1"></div>
            <div class="circle2"></div>
            <div class="ping-pong1"></div>
            <div class="ping-pong2"></div>

            
            <div class="curved-container">
              @if(Config::token())
                <h2 class="curved-text">{{ '1'.Config::token()->token_symbol.' = '.number_format($token->token_base_price ?? 0,2).' '.Config::config()->currency }}</h2>
              @endif 
            </div>

            <div class="token_sold">
              <div class="token_sold_icon">
                <i class="fas fa-won-sign"></i>
              </div>
              <div class="token_sold_content">
                <h5 class="token_title">{{ Config::thousandsCurrencyFormat($token->used_token ?? 0) }}</h5>
                <p>{{ __('Token Sold') }}</p>
              </div>
            </div>

            <div class="token_goal">
              <div class="token_sold_icon">
                <i class="fas fa-won-sign"></i>
              </div>
              <div class="token_sold_content">
                <h5 class="token_title">{{ Config::thousandsCurrencyFormat($token->token_issues ?? 0) }}</h5>
                <p>{{ __('Token Goal') }}</p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
</section>

@push('script')

  <script src="{{ Config::jsLib('frontend','lib/jquery.countdown.min.js') }}"></script>

  <script>
      'use strict'
    $(document).ready(function() {
      var str = $('.curved-text').html();
      var curved = '';
      for (var i = 0, len = str.length; i < len; i++) {
        curved += '<span class="char';
        curved += i;
        curved += '">';
        curved += str[i];
        curved += '</span>';
      }
      $('.curved-text').html(curved);
    });
  </script>


  <script>
    $('.count').each(function () {
      $(this).prop('Counter',0).animate({
          Counter: $(this).text()
      }, {
          duration: 2000,
          easing: 'swing',
          step: function (now) {
              $(this).text(Math.ceil(now));
          }
      });
    });
    let end = @json(date('Y/m/d',strtotime($token->end_date ?? date('Y/m/d'))));
   
    $('#main-clock').countdown(end, function(event) {
      $(this).html(event.strftime(''
        + '<div class="single-time"><div class="single-time-inner"><span>%D</span> <p>Days</p></div></div>'
        + '<div class="single-time"><div class="single-time-inner"><span>%H</span> <p>Hours</p></div></div>'
        + '<div class="single-time"><div class="single-time-inner"><span>%M</span> <p>Minutes</p></div></div>'                                                                  
        + '<div class="single-time"><div class="single-time-inner"><span>%S</span> <p>Seconds</p></div></div>'));
    });
  </script>

@endpush