@php 

    $footer = Config::builder('footer');
    $element = Config::builder('footer',true);
    $short_links = Config::builder('pages',true);
@endphp


<footer class="sp_footer_section">
    <div class="sp_footer_el">
    <img src="{{ Config::getFile('footer',$footer->content->background) }}" alt="image">
    </div>
    <div class="sp_footer_info_area">
    <div class="container wow fadeInUp" data-wow-duration="0.3s" data-wow-delay="0.3s">
        <div class="row gy-4 align-items-center">
        <div class="col-xl-7">
            <div class="row gy-3">
            <div class="col-lg-5 col-md-6 col-sm-5">
                <div class="footer_info_item">
                <div class="footer_info_item_icon">
                    <img src="{{ Config::getFile('footer',$footer->content->email_icon) }}" alt="mail icon">
                </div>
                <div class="footer_info_item_content">
                    <h6>{{ __('Email Address') }}</h6>
                    <p><a href="mailto:{{ $footer->content->email }}">{{ Config::trans($footer->content->email) }}</a></p>
                </div>
                </div>
            </div>
            <div class="col-lg-7 col-md-6 col-sm-7">
                <div class="footer_info_item">
                <div class="footer_info_item_icon">
                    <img src="{{ Config::getFile('footer',$footer->content->address_icon) }}" alt="mail icon">
                </div>
                <div class="footer_info_item_content">
                    <h6>{{ __('Office Location') }}</h6>
                    <p>{{ Config::trans($footer->content->address) }}</p>
                </div>
                </div>
            </div>
            </div>
        </div>
        <div class="col-xl-5 ps-xl-5">
            <form action="{{ route('subscribe') }}" method="post" class="subscribe-form">
                @csrf
            <input type="email" name="email" class="form-control" placeholder="Email Address">
            <button type="submit" class="btn grad-btn">{{ __('Subscribe') }}</button>
            </form>
        </div>
        </div>
        <hr class="mt-4 mb-0">
    </div>
    </div>
    <div class="footer-main">
    <div class="container">
        <div class="row gy-4 justify-content-between items-wrapper">
        <div class="col-lg-4 wow fadeInUp" data-wow-duration="0.3s">
            <div class="footer-item">
            <a href="{{ route('home') }}" class="sp_site_logo mb-4">
                <img src="{{ Config::getFile('logo',Config::config()->logo,true) }}" alt="logo">
            </a>
            <p>{{ Config::trans($footer->content->description) }}</p>
            </div>
        </div>
        
        <div class="col-lg-2 col-md-4 col-6 wow fadeInUp" data-wow-duration="0.3s">
            <div class="footer-item">
            <h5 class="footer-item-title">{{ __('Short Links') }}</h5>
            <ul class="footer-menu">
                @foreach ($short_links as $item)
                    <li><a href="{{ route('links', [$item->id, Str::slug($item->content->title)]) }}">{{ Config::trans($item->content->title) }}</a></li>  
                @endforeach
               
            </ul>
            </div>
        </div>
        <div class="col-lg-3 col-md-4 wow fadeInUp" data-wow-duration="0.3s">
            <div class="footer-item">
            <h5 class="footer-item-title">{{ __('Social Links') }}</h5>
            <ul class="footer-contact-list">
                @foreach ($element as $item)
                    <li>
                        <i class="{{ $item->content->socail_icon }}"></i>
                        <p>
                            <a href="{{ $item->content->link }}">{{ Config::trans($item->content->title) }}</a>
                        </p>
                    </li>
                @endforeach
            </ul>
            </div>
        </div>
        <div class="col-lg-3 col-md-4 wow fadeInUp" data-wow-duration="0.3s">
            <div class="footer-item">
            <h5 class="footer-item-title">{{ __('Contact Info') }}</h5>
            <ul class="footer-contact-list">
                <li>
                <i class="fas fa-phone-alt"></i>
                <p>
                    <a href="tel:{{ $footer->content->phone }}">+{{ Config::trans($footer->content->phone) }}</a>
                </p>
                </li>
                <li>
                <i class="fas fa-envelope"></i>
                <p>
                    <a href="mailto:{{ $footer->content->email }}">{{ Config::trans($footer->content->email) }}</a>
                </p>
                </li>
                <li>
                <i class="fas fa-map-marked-alt"></i> 
                <p>{{ Config::trans($footer->content->address) }}</p>
                </li>
            </ul>
            </div>
        </div>
        </div>
    </div>
    </div>
   
    <div class="footer-bottom">
    <div class="container">
        <div class="row align-items-center">
        <div class="col-md-12 text-center">
            <p>{{ Config::trans(Config::config()->copyright) }}</p>
        </div>
        
        </div>
    </div>
    </div>
</footer>