@php 
  $token = \App\Models\IsoStage::where('status',1)->first();
  $content = Config::builder('token_info')->content;
  
@endphp

@if($token)
<section class="sp_pt_100 sp_pb_100 overflow-hidden">
    <div class="container">
      <div class="row justify-content-center">
        <div class="col-xxl-7 col-xl-8 col-lg-10 text-center">
          <div class="sp_block_header">
            <h2 class="sp_block_title wow fadeInUp" data-wow-duration="0.3s" data-wow-delay="0.3s">{{ Config::trans($content->title)  }}</h2>
            <p class="mt-2 wow fadeInUp" data-wow-duration="0.3s" data-wow-delay="0.5s">{{ Config::trans($content->description) }}</p>
          </div>
        </div>
      </div>
      <div class="sp_token_wrapper">
        <div class="sp_chart_area wow fadeInUp" data-wow-duration="0.3s" data-wow-delay="0.7s">
          <div class="sp_chart_area_title">
            <h4 class="title">{{ __('Token Allocation') }}</h4>
          </div>
          <div id="chart"></div>
        </div>
        <div class="token_allocation_wrapper wow fadeInUp" data-wow-duration="0.3s" data-wow-delay="0.9s">
            <div class="token_allocation_list_wrapper">
              <ul class="token_allocation_list">
                <li>
                  <p>{{ __('Token Name') }}</p>
                  <span>{{ Config::token()->token_symbol }}</span>
                </li>
                <li>
                  <p>{{ __('Paltform') }}</p>
                  <span>{{ Config::config()->currency.' Based' }}</span>
                </li>
               
                <li>
                  <p>{{ __('Total Supply') }}</p>
                  <span>{{ $token->token_issues.' '.Config::token()->token_symbol }}</span>
                </li>
                
                <li>
                  <p>{{ __('Sold Tokens') }}</p>
                  <span>{{ $token->used_token.' '.Config::token()->token_symbol }}</span>
                </li>
              </ul>
              
              <div class="d-box-two d-block mt-4 border-0">
                <h5>
                    {{$token->stage_name}}
                    <span class="badge badge-success float-end">{{ __('Running') }}</span>
                    
                    {{--
                    @if($token->status == 1)
                        <span class="badge badge-success float-end">{{ __('Running') }}</span>
                    @else 
                        <span class="badge badge-danger float-end">{{ __('Expired') }}</span>
                    @endif 
                    --}}
                </h5>
                <h4 class="mt-4"><span class="site-color">{{ __('1') }} {{ Config::token()->token_symbol }}</span> {{ __(' = ') }} {{ $token->token_base_price }} {{ Config::config()->currency }}</h4>
                <div class="my-4">
                   
                    <ul class="sp_caption_list">
                        <li>
                            <span class="caption">{{ __('Available tokens') }}</span>
                            <span class="details">{{ $token->token_issues  - $token->used_token }} {{ Config::token()->token_symbol }}</span>
                        </li>
                        <li>
                            <span class="caption">{{ __('Bonus tokens') }}</span>
                            <span class="details">{{ $token->bonus ?? 0 }} {{ Config::token()->token_symbol }}</span>
                        </li>
                        <li>
                            <span class="caption">{{ __('Start date') }}</span>
                            <span class="details">{{ date('M - d - Y',strtotime($token->start_date)) }}</span>
                        </li>
                        <li>
                            <span class="caption">{{ __('End date') }}</span>
                            <span class="details">{{ date('M - d - Y',strtotime($token->end_date)) }}</span>
                        </li>
                    </ul>
                </div>
                <a href="{{ route('user.contribute') }}" class="btn grad-btn btn-sm w-100">{{ __('Buy Now') }}</a>
                {{--
                @if($token->status == 1)
                    <a href="{{ route('user.contribute') }}" class="btn grad-btn btn-sm w-100">{{ __('Buy Now') }}</a>
                @endif 
                --}}
              </div>
              
            </div>
        </div>
      </div>
    </div>
  </section>
@endif 
@push('script')

  <script src="{{ Config::jsLib('frontend','lib/apexcharts.js') }}"></script>
  
  <script>
    'use_strict'

    var options = {
          series: [{{ $content->it_development }}, {{ $content->marketing }}, {{ $content->partners }},{{ $content->financial }},{{ $content->operatio }}],
          chart: {
            type: 'donut',
            width: 600,
          },
          colors: ['#6B43FF', '#F637EC', '#18978F', '#E91E63', '#FF9800'],
          fill: {
            type: 'gradient',
          },
          legend: {
            position: 'bottom'
          },
          labels: ['For IT Development', 'Sales and Marketing', 'Admin and Partners', 'Legal and Financial', 'Operatio Cost'],
          stroke: {
            show: false,     
          },
          responsive: [{
            breakpoint: 1400,
            options: {
              chart: {
                width: 500
              },
              legend: {
                position: 'bottom',
              }
            }
          },{
            breakpoint: 576,
            options: {
              chart: {
                width: 360
              },
              legend: {
                position: 'bottom',
              }
            }
          }]
        };
  
          var chart = new ApexCharts(document.querySelector("#chart"), options);
          chart.render();


  </script>
  @endpush